<?php

session_start(); // Start the session

// Check if the user is logged in
if (!isset($_SESSION['user'])) {
    // Redirect to login page if not logged in
    header('Location: login_1.php');
    exit;
}
include('php/dbconn.php');

$sql = "SELECT COUNT(*) FROM inquery WHERE status = 'pending'"; // Count pending arrivals
$query = mysqli_query($db, $sql);
$pendingArrivalCount = mysqli_fetch_array($query)[0]; // Get the count of pending arrivals

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>VMS</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/loader-style.css">
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="css/custom.css">
    <link rel="stylesheet" type="text/css" href="assets/js/progress-bar/number-pb.css">

    <style type="text/css">
        canvas#canvas4 {
            position: relative;
            top: 20px;
        }
 
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            font-family: 'Poppins', sans-serif;  
            color: white; 
            background-image: url(assets/img/bgdbrown.avif);
        }

        .bevel.tlbr {
            margin: 0px;
            background: #aeb6bf;
        }


    </style>

    <link rel="shortcut icon" href="assets/ico/minus.png">
</head>

<body>
    <!-- Navbar -->
    <?php include('topbar.php'); ?>
    <!-- /END OF TOP NAVBAR -->

    <!-- SIDE MENU -->
    <?php
include('php/dbconn.php');

// Query for displaying count, this could be used for notifications in approval
$sql = "SELECT count(*) FROM inquery";
$query = mysqli_query($db, $sql);
$fetch = mysqli_fetch_array($query);
?>

<div id="skin-select">
    <div id="logo">
        <a href="/vms/index_1.php" style="text-decoration: none; color: inherit;">
            <img src="assets/img/logo.png" alt="Logo" style="height: 75px; display: block; margin: 10px auto 0;"> <!-- Logo with top margin -->
            <h1 style="font-size: 20px; font-family: 'Arial', sans-serif; text-align: center; margin-top: 20px; color: #333; line-height: 1.5;">Visitor Management System</h1>

        </a>
    </div>

    <a id="toggle">
        <span class="entypo-menu"></span>
    </a>

    <div class="skin-part">
        <div id="tree-wrap">
            <div class="side-bar">
                <ul class="topnav menu-left-nest">
                    <!-- Home Link -->
                    <li>
                        <a class="tooltip-tip ajax-load" href="/vms/dashboard.php" title="Home">
                            <i class="icon-feed" style="color: #4B3D3D;"></i>
                            <span style="color: black;">Home</span>
                        </a>
                    </li>

                    <!-- Visitor Section -->
                    <li class="hide1">
                        <a class="tooltip-tip ajax-load" href="#" title="Visitor">
                            <i class="icon-document-edit" style="color: #4B3D3D;"></i>
                            <span style="color: black;">Visitor</span>
                        </a>
                        <ul>
                            <li>
                                <a class="tooltip-tip2 ajax-load" href="/vms/php/approval_phone_0.php" title="Add">
                                    <i class="entypo-doc-text" style="color: #4B3D3D;"></i>
                                    <span style="color: black;">Add</span>
                                </a>
                            </li>
                            <li>
                                <a class="tooltip-tip2 ajax-load" href="/vms/php/approval_display_0.php" title="View">
                                    <i class="entypo-doc-text" style="color: #4B3D3D;"></i>
                                    <span style="color: black;">View</span>
                                </a>
                            </li>
                        </ul>
                    </li>

                    <!-- Approval Section -->
                    <li class="hide1">
                        <a class="tooltip-tip ajax-load" href="#" title="Approval">
                            <i class="icon-document-edit" style="color: #4B3D3D;"></i>
                            <span style="color: black;">Approval</span>
                        </a>
                        <ul>
                            <li>
                                <a class="tooltip-tip2 ajax-load" href="/vms/php/admin_pending_approval_0.php" title="Pending Approval">
                                    <i class="entypo-doc-text" style="color: #4B3D3D;"></i>
                                    <span style="color: black;">Pending Approval</span>
                                </a>
                            </li>
                            <li>
                                <a class="tooltip-tip2 ajax-load" href="/vms/php/pending_visitor_arrival.php" title="Request Pending Visitor Arrival">
                                    <i class="entypo-doc-text" style="color: #4B3D3D;"></i>
                                    <span style="color: black;">Request Pending Visitor <br> Arrival</span>
                                </a>
                            </li>
                        </ul>
                    </li>

                    <!-- Report Section -->
                    <li class="hide1">
                        <a class="tooltip-tip ajax-load" href="/vms/php/report_0.php" title="Report">
                            <i class="icon-camera" style="color: #4B3D3D;"></i>
                            <span style="color: black;">Report</span>
                        </a>
                    </li>

                    <!-- Log Out -->
                    <li>
                        <a class="tooltip-tip ajax-load" href="/vms/php/logout.php?log" title="Log out">
                            <i class="icon-feed" style="color: #4B3D3D;"></i>
                            <span style="color: black;">Log Out</span>
                        </a>
                    </li>
                </ul>

                <script type="text/javascript">
                    var a = document.getElementsByClassName('hide1')[0];
                    var b = document.getElementsByClassName('hide1')[1];
                    var c = document.getElementsByClassName('hide1')[2];
                    var d = document.getElementsByClassName('hide1')[3];
                    var e = document.getElementsByClassName('hide1')[4];
                    var f = document.getElementsByClassName('hide1')[5]; 

                    <?php if ($user == "guard") { ?>
                        a.style.display = "none";
                        b.style.display = "none";
                        c.style.display = "none";
                        d.style.display = "none";
                        e.style.display = "none"; // Hide Visitor, Employee, etc. sections for guard
                        f.style.display = "none"; // Hide Approval section for guard
                    <?php } ?>
                </script>
            </div>
        </div>
    </div>
</div>

    <!-- END OF SIDE MENU -->

    <!-- PAPER WRAP -->
    <div class="wrap-fluid">
        <div class="container-fluid paper-wrap bevel tlbr">
            <div class="content-wrap">
                <div class="row">
                    <!-- Pending Arrivals Card -->
                    <div class="col-sm-4">
                        <div class="profit" id="profitClose">
                            <div class="headline">
                                <h3>
                                    <span>
                                        <i class="maki-ferry"></i> Pending Arrivals
                                    </span>
                                </h3>
                                <div class="titleClose"></div>
                            </div>
                            <div class="value">
                                <span class="pull-left"><i class="entypo-clock clock-position"></i></span>
                                <div id="getting-started">
                                    <span><?php echo $pendingArrivalCount; ?></span>
                                </div>
                            </div>
                            <div class="progress-tinny">
                                <div style="width: 50%" class="bar"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /END OF CONTENT -->

    <!-- FOOTER -->
    <div class="footer-space"></div>
    <div id="footer">
        <div class="devider-footer-left"></div>
        <div class="time">
            <p id="spanDate"></p>
            <p id="clock"></p>
        </div>
        <div class="copyright">Made with Love <span class="entypo-heart"></span> 2014 <a href="http://gamatechno.com">Thesmile</a> All Rights Reserved</div>
        <div class="devider-footer"></div>
    </div>
    <!-- / END OF FOOTER -->

    <!-- Scripts -->
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.js"></script>
    <script src="assets/js/progress-bar/src/jquery.velocity.min.js"></script>
    <script src="assets/js/progress-bar/number-pb.js"></script>
    <script src="assets/js/progress-bar/progress-app.js"></script>
    <script type="text/javascript" src="assets/js/preloader.js"></script>
    <script src="assets/js/bootstrap.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="assets/js/load.js"></script>
    <script src="assets/js/main.js"></script>
    
</body>

</html> 