<?php
include('dbconn.php');
require_once 'C:/xampp/htdocs/vms/fpdf.php'; // Adjust the path as needed

if (isset($_GET['id'])) {
    $id = intval($_GET['id']); // Sanitize the input

    // Fetch visitor details
    $sql = "SELECT * FROM visitors WHERE ID = $id";
    $query = mysqli_query($db, $sql);
    
    if ($query && mysqli_num_rows($query) > 0) {
        $visitor = mysqli_fetch_assoc($query);

        // Fetch individual visitor details
        $visitorDetailsSql = "SELECT * FROM visitor_details WHERE Visitor_ID = $id";
        $visitorDetailsQuery = mysqli_query($db, $visitorDetailsSql);
        $visitorDetails = [];
        if ($visitorDetailsQuery) {
            while ($detail = mysqli_fetch_assoc($visitorDetailsQuery)) {
                $visitorDetails[] = $detail;
            }
        }

        // Create PDF
        $pdf = new FPDF();
        $pdf->AddPage();
        $pdf->SetFont('Arial', 'B', 16);
        $pdf->Cell(0, 10, "Visitor Details", 0, 1, 'C');
        $pdf->Ln(10);
        
        // Visitor main details
        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(0, 10, "Host/Interviewer: " . htmlspecialchars($visitor['Host'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Email: " . htmlspecialchars($visitor['General_Email'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Visitor Type: " . htmlspecialchars($visitor['Visitor_Type'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Department: " . htmlspecialchars($visitor['Department'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Meeting Room: " . htmlspecialchars($visitor['Meeting_Room'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Approver: " . htmlspecialchars($visitor['Approver'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Date & Time In: " . htmlspecialchars($visitor['Plan_Date_Time_In'] ?? 'N/A'), 0, 1);
        $pdf->Cell(0, 10, "Date & Time Out: " . htmlspecialchars($visitor['Plan_Date_Time_Out'] ?? 'N/A'), 0, 1);
        $pdf->Ln(10);

        // Visitor details in table format
        $pdf->SetFont('Arial', 'B', 12);
        $pdf->Cell(60, 10, "Name", 1);
        $pdf->Cell(60, 10, "Email", 1);
        $pdf->Cell(40, 10, "Phone No", 1);
        $pdf->Cell(30, 10, "QR Code", 1);
        $pdf->Ln();

        $pdf->SetFont('Arial', '', 12);
        foreach ($visitorDetails as $detail) {
            $pdf->Cell(60, 10, htmlspecialchars($detail['Name'] ?? 'N/A'), 1);
            $pdf->Cell(60, 10, htmlspecialchars($detail['Email'] ?? 'N/A'), 1);
            $pdf->Cell(40, 10, htmlspecialchars($detail['Phone'] ?? 'N/A'), 1);
            
            // Generate QR code URL
            $qrData = "Visitor Name: " . (isset($detail['Name']) ? $detail['Name'] : 'N/A') . "\n" .
                      "Visitor Email: " . (isset($detail['Email']) ? $detail['Email'] : 'N/A') . "\n" .
                      "Phone No: " . (isset($detail['Phone']) ? $detail['Phone'] : 'N/A');
            $qrCodeUrl = "https://api.qrserver.com/v1/create-qr-code/?size=100x100&data=" . urlencode($qrData);
            
            // Add QR code to PDF
            $pdf->Image($qrCodeUrl, $pdf->GetX(), $pdf->GetY(), 10, 10); // Adjust size
            $pdf->Ln();
        }

        // Output PDF
        $pdf->Output('D', 'Visitor_Details_' . $id . '.pdf'); // Download the PDF
    } else {
        echo "Visitor not found.";
        exit;
    }
} else {
    echo "No ID specified.";
    exit;
}
?>
