<?php
session_start(); // Start the session

// Check if the user is logged in
if (!isset($_SESSION['user'])) {
    header('Location: login_1.php');
    exit;
}

include('php/dbconn.php');

// Fetch the approver's Id from the session
$approverId = $_SESSION['user_id']; // Assuming you store the approver's Id in the session

// Query to get the number of pending arrivals in the visitors table
$sql_pending = "SELECT COUNT(*) AS pending_count FROM visitor_details WHERE status = 'pending'";
$query_pending = mysqli_query($db, $sql_pending);
$pendingArrivalCount = mysqli_fetch_array($query_pending)[0]; // Get the count of pending arrivals

// Query to get the number of pending approval requests (only for the current approver)
$sql_pending_approval = "SELECT COUNT(*) FROM visitors WHERE Status = 'pending' AND Approver = '$approverId'"; 
$query_pending_approval = mysqli_query($db, $sql_pending_approval);
$pendingApprovalCount = mysqli_fetch_array($query_pending_approval)[0]; // Get the count of pending approval requests
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>VMS</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/loader-style.css">
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="css/custom.css">
    <link rel="stylesheet" type="text/css" href="assets/js/progress-bar/number-pb.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style type="text/css">
        canvas#canvas4 {
            position: relative;
            top: 20px;
        }

        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            font-family: 'Poppins', sans-serif;
            color: white;
            background-image: url(assets/img/bgredbrown.png);
        }

        .bevel.tlbr {
            margin: 0px;
            background: #f0f3f4;
        }

        .card {
            margin: 23px;
            padding: 20px;
            border-radius: 8px;
            background-color: rgba(0, 0, 0, 0.7); /* Dark background with transparency */
            height: 200px;               /* Set a fixed height for all cards */
            width: 70%;
        }

        .card .value {
            color: #ffcc00;
            font-size: 30px;
            font-weight: bold;
        }

        .card .icon {
            font-size: 30px;
            color: white;
        }

        .card .headline {
            font-size: 18px;
            color: #fff;
        }
    </style>

    <link rel="shortcut icon" href="assets/ico/minus.png">
</head>

<body>
    <!-- Navbar -->
    <?php include('topbar.php'); ?>
    <!-- /END OF TOP NAVBAR -->

    <!-- SIDE MENU -->
    <?php include('sidebar_1.php'); ?>
    <!-- SIDE MENU -->

    <!-- PAPER WRAP -->
  <div class="wrap-fluid">
        <div class="container-fluid paper-wrap bevel tlbr">
            <div class="content-wrap">
                <div class="row">
                    <div class="col-sm-6">
                        <a href="php/admin_pending_approval_0.php" style="text-decoration: none; color: inherit;">
                            <div class="card">
                                <div class="headline">
                                    <h3>
                                        <span><i class="fas fa-clock"></i> Request Pending Approval</span>
                                    </h3>
                                </div>
                                <div class="value">
                                    <span><?php echo $pendingApprovalCount; ?></span>
                                </div>
                                <div class="progress-tinny">
                                    <div style="width: 50%" class="bar"></div>
                                </div>
                            </div>
                        </a>
                    </div>

                    <div class="col-sm-6">
                        <a href="php/request_arrival_0.php" style="text-decoration: none; color: inherit;">
                            <div class="card">
                                <div class="headline">
                                    <h3>
                                        <span><i class="fas fa-clock"></i> Awaiting Arrival</span>
                                    </h3>
                                </div>
                                <div class="value">
                                    <span><?php echo $pendingArrivalCount; ?></span>
                                </div>
                                <div class="progress-tinny">
                                    <div style="width: 50%" class="bar"></div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /END OF CONTENT -->

    <!-- FOOTER -->
    <div class="footer-space"></div>
    <div id="footer">
        <div class="devider-footer-left"></div>
        <div class="time">
            <p id="spanDate"></p>
            <p id="clock"></p>
        </div>
        <div class="copyright">Made with Love <span class="entypo-heart"></span> 2014 <a href="https://gamatechno.com">Thesmile</a> All Rights Reserved</div>
        <div class="devider-footer"></div>
    </div>
    <!-- / END OF FOOTER -->

    <!-- Scripts -->
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.js"></script>
    <script src="assets/js/progress-bar/src/jquery.velocity.min.js"></script>
    <script src="assets/js/progress-bar/number-pb.js"></script>
    <script src="assets/js/progress-bar/progress-app.js"></script>
    <script type="text/javascript" src="assets/js/preloader.js"></script>
    <script src="assets/js/bootstrap.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="assets/js/load.js"></script>
    <script src="assets/js/main.js"></script>
</body>

</html>
