<?php
session_start();
include('dbconn.php');

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the form inputs
    $username = isset($_POST['username']) ? $_POST['username'] : null;
    $password = isset($_POST['password']) ? $_POST['password'] : null;

    // Check if both username and password are provided
    if (!$username || !$password) {
        echo "<script>
            alert('Please enter both username and password.');
            location.href='index.html';
        </script>";
        exit();
    }

    // Fetch user details from the database
    $sql = "SELECT * FROM login_user WHERE username = ?";
    $stmt = $db->prepare($sql);
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $result = $stmt->get_result();
    $fetch = $result->fetch_assoc();

    if ($fetch) {
        // Directly compare the password
        if ($password == $fetch['password']) {
            $_SESSION['user'] = $username;
            $_SESSION['user_id'] = $fetch['id'];
            $_SESSION['role'] = $fetch['user']; // Store user role

            // Ensure each user has only one role assigned
            $role_name = $fetch['user'];

            // Role-based redirection
            switch ($role_name) {
                case 'Admin':
                    echo "<script>location.href='admin_dashboard.php';</script>";
                    break;
                case 'Approver':
                    echo "<script>location.href='index_1.php';</script>";
                    break;
                case 'Guard':
                    echo "<script>location.href='guard_dashboard.php';</script>";
                    break;
                case 'Requestor': // New case for Requestor
                echo "<script>location.href='requestor_dashboard.php';</script>";
                break;
                default:
                    echo "<script>
                        alert('Role not recognized.');
                        location.href='index.html';
                    </script>";
                    break;
            }
        } else {
            // Incorrect password
            echo "<script>
                alert('Password is incorrect.');
                location.href='index.html';
            </script>";
        }
    } else {
        // Username not found
        echo "<script>
            alert('Username not found.');
            location.href='index.html';
        </script>";
    }
}
?>