<?php
include('dbconn.php');

if (!isset($_SESSION['user'])) {
    header('Location: login_1.php');
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Collect and sanitize form data
    $general_email = mysqli_real_escape_string($db, $_POST['general_email']);
    $visitor_type = mysqli_real_escape_string($db, $_POST['visitor_type']);
    $department = mysqli_real_escape_string($db, $_POST['department']);
    $purpose= mysqli_real_escape_string($db, $_POST['purpose']);
    $person_meet = mysqli_real_escape_string($db, $_POST['person_meet']);
    $meeting_room = mysqli_real_escape_string($db, $_POST['meeting_room']);
    $approver = mysqli_real_escape_string($db, $_POST['approver']);
    $plan_date_time_in = mysqli_real_escape_string($db, $_POST['plan_date_time_in']);
    $plan_date_time_out = mysqli_real_escape_string($db, $_POST['plan_date_time_out']);

    $visitor_names = $_POST['name'];
    $visitor_emails = $_POST['email'];
    $visitor_phones = $_POST['phone'];
    $visitor_ics = $_POST['ic'];
    $visitor_vehicle_reg_nos = $_POST['vehicle_reg_no'];

// Insert visitor details into the database
$insertSql = "INSERT INTO visitors (General_Email, Visitor_Type, Department, Purpose, Host, Meeting_Room, Approver, Plan_Date_Time_In, Plan_Date_Time_Out) 
              VALUES ('$general_email', '$visitor_type', '$department', '$purpose', '$person_meet', '$meeting_room', '$approver', '$plan_date_time_in', '$plan_date_time_out')";
    
if (mysqli_query($db, $insertSql)) {
    $visitor_id = mysqli_insert_id($db);

    foreach ($visitor_names as $index => $name) {
        $name = mysqli_real_escape_string($db, $name);
        $email = mysqli_real_escape_string($db, $visitor_emails[$index]);
        $phone = mysqli_real_escape_string($db, $visitor_phones[$index]);
        $ic = mysqli_real_escape_string($db, $visitor_ics[$index]);
        $vehicle_reg_no = mysqli_real_escape_string($db, $visitor_vehicle_reg_nos[$index]);
        $created_by = $_SESSION['user']; // Assuming the user's ID is stored in the session

        $visitorSql = "INSERT INTO visitor_details (visitor_id, name, email, phone, ic, vehicle_reg_no, created_by) 
                       VALUES ('$visitor_id', '$name', '$email', '$phone', '$ic', '$vehicle_reg_no', '$created_by')";
        mysqli_query($db, $visitorSql);
    }
} else {
    echo "Error: " . mysqli_error($db);
}

}



function fetchEmployees($department) {
    global $db;
    $department = mysqli_real_escape_string($db, $department);
    $sql = "SELECT id, name FROM employees WHERE department = '$department'";
    $result = mysqli_query($db, $sql);
    
    if ($result) {
        while ($row = mysqli_fetch_assoc($result)) {
            echo "<option value='" . htmlspecialchars($row['id']) . "'>" . htmlspecialchars($row['name']) . "</option>";
        }
    } else {
        echo "Error fetching employees: " . mysqli_error($db);
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Pass</title>
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f7f7f7; /* Light grey background */
            margin: 0;
            padding: 0px;
        }
        
        .form-container {
           
            width: 1000px;  /* Ensure it takes the full width available until the max-width */
            background-color: white;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            margin: auto;
            transition: transform 0.3s;
            border: 1px solid #333;
        }
        
        
        
        .form-title {
            background-color: #2e4053;
            color: #ffffff; /* Red color */
            padding: 15px;
            text-align: center;
            font-size: 30px;
            font-weight: bold;
            margin-bottom: 25px;
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
        }
        
        .label {
            font-weight: bold;
            margin-bottom: 5px;
            display: block;
            color: #333; /* Dark grey */
            font-size: 14px;
        }
        
        .input-group {
            display: flex;
            flex-wrap: wrap;
            gap: 15px;
            margin-bottom: 20px;
        }
        
        input[type="text"],
        input[type="email"],
        input[type="datetime-local"],
        input[type="date"],
        select {
            flex: 1;
            min-width: 290px; /* Increased width */
            padding: 14px;
            border: 2px solid #ddd; /* Light grey border */
            border-radius: 8px;
            font-size: 16px;
            background-color: #f9f9f9; /* Light grey for inputs */
            transition: border-color 0.3s, box-shadow 0.3s;
        }
        
        
        input[type="text"]:focus,
        input[type="email"]:focus,
        input[type="datetime-local"]:focus,
        input[type="date"]:focus,
        select:focus {
            border-color: #c62828; /* Red border on focus */
            box-shadow: 0 0 5px rgba(198, 40, 40, 0.5); /* Subtle shadow */
            outline: none;
        }
        
        .styled-textarea {
            flex: 1;
            min-width: 900px; /* Match the width of other inputs */
            padding: 14px;
            border: 2px solid #ddd; /* Light grey border */
            border-radius: 8px;
            font-size: 16px;
            background-color: #f9f9f9; /* Light grey for inputs */
            transition: border-color 0.3s, box-shadow 0.3s;
            resize: vertical; /* Allows vertical resizing */
        }
        
        .styled-textarea:focus {
            border-color: #c62828; /* Red border on focus */
            box-shadow: 0 0 5px rgba(198, 40, 40, 0.5); /* Subtle shadow */
            outline: none;
        } 
        
        
        .visitor-details {
            margin: 20px 0;
            padding: 15px;
            border: 1px solid #ddd; /* Light grey border */
            border-radius: 8px;
            background-color: #f7f7f7; /* Very light grey */
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }
        
        .visitor-details h4 {
            margin: 0 0 10px 0;
            font-size: 20px;
            color: #333; /* Red for section titles */
        }
        
        .submit-button {
            width: 100%;
            padding: 14px;
            background-color:  #0066cc;
            color: white;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 18px;
            transition: background-color 0.3s, transform 0.3s;
        }
        
        .submit-button:hover {
            background-color: grey;
            transform: translateY(-2px); /* Lift effect */
        }
        
        .button {
            padding: 8px 16px;  /* Reduced padding */
            width: 90px;        /* Slightly reduced width */
            background-color: #cf0000;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }
        
        
        .button:hover {
            background-color: grey;
            transform: translateY(-2px);
        }
        
        
        hr {
            border: 1px solid #ddd;
            margin: 20px 0;
        }
        
        /* Row for visitor details */
        .visitor-details .input-group {
            flex-wrap: nowrap; /* Prevents wrapping to the next line */
            gap: 15px; /* Space between input fields */
        }
        .custom-label {
            font-weight: bold;
            margin-bottom: 8px; /* Increased spacing below the label */
            display: block;
            color: #555; /* Darker grey for better visibility */
            font-size: 16px; /* Increased font size */
        }



    </style>
</head>
<body>
<form action="visitor_action1.php" method="POST">

        <div class="form-container">
            <div class="form-title">Visitor Registration Request Form</div>
            
            <div class="input-group">
            <div>
            <label class="custom-label" for="general_email">Email</label>
            <input type="email" name="general_email" id="general_email" placeholder="Email" required>
            </div>

                <div>
                    <label class="custom-label" for="visitor_type">Visitor Type</label>
                    <select name="visitor_type" id="visitor_type" required>
                        <option value="">Select Visitor Type</option>
                        <?php
                        include('visitor_types.php');
                        $visitorTypes = getVisitorTypes();
                        foreach ($visitorTypes as $type) {
                            echo "<option value='" . htmlspecialchars($type) . "'>" . htmlspecialchars($type) . "</option>";
                        }
                        ?>
                    </select>
                </div>
                <div>
                    <label class="custom-label" for="department">Department</label>
                    <select name="department" id="departmentDropdown" required onchange="fetchEmployees(this.value)">
                        <option value="" disabled selected>Select Department</option>
                        <?php
                        $sql = "SELECT * FROM department";
                        $query = mysqli_query($db, $sql);
                        while ($dept = mysqli_fetch_array($query)) {
                            echo "<option value='".htmlspecialchars($dept['department_name'])."'>".htmlspecialchars($dept['department_name'])."</option>";
                        }
                        ?>
                    </select>
                </div>
            </div>

            <div class="input-group">
                <div>
                    <label class="custom-label" for="purpose">Purpose</label>
                    <textarea name="purpose" id="purpose" class="styled-textarea" placeholder="Enter any additional information here..." rows="4" required></textarea>
                </div>
            </div>


            <div class="input-group">
                <div>
                    <label class="custom-label" for="person_meet">Host/Interviewer</label>
                    <select name="person_meet" id="employeeDropdown" required>
                        <option value="" disabled selected>Select Employee</option>
                    </select>
                </div>
                <div>
                    <label class="custom-label" for="meeting_room">Location</label>
                    <select name="meeting_room" id="meeting_room" required>
                        <option value="">Select Location</option>
                        <?php
                        include('meeting_rooms.php');
                        $meetingRooms = getMeetingRooms();
                        foreach ($meetingRooms as $room) {
                            echo "<option value='".htmlspecialchars($room['type_name'])."'>".htmlspecialchars($room['type_name'])."</option>";
                        }
                        ?>
                    </select>
                </div>
                            <div>
                <label class="custom-label" for="approver">Approver</label>
                <select name="approver" id="approver" required>
                    <option value="" disabled selected>Select Approver</option>
                    <?php
                    // Adjusted SQL query to filter users with 'approver' role
                    $sql = "SELECT id, username FROM login_user WHERE user = 'approver'";
                    $query = mysqli_query($db, $sql);
                    
                    // Check if there are any users with the role 'approver'
                    while ($user = mysqli_fetch_array($query)) {
                        echo '<option value="'.htmlspecialchars($user['id']).'">'.htmlspecialchars($user['username']).'</option>';
                    }
                    ?>
                </select>
            </div>

            </div>

            <div class="input-group">
                <div>
                    <label class="custom-label" for="plan_date_time_in">Plan Date & Time In</label>
                    <input type="datetime-local" name="plan_date_time_in" id="plan_date_time_in" required>
                </div>
                <div>
                    <label class="custom-label" for="plan_date_time_out">Plan Date & Time Out</label>
                    <input type="datetime-local" name="plan_date_time_out" id="plan_date_time_out" required>
                </div>
            </div>

            <br>
            <div id="visitorContainer">
    <h3 style="text-align: left; text-decoration: underline;">Visitor Details</h3>
    <div style="display: flex; gap: 10px; margin-bottom: 10px;">
        <button type="button" onclick="addVisitor()" class="button">
            <i class="fas fa-plus"></i> Add 
        </button>
        <button type="button" onclick="editVisitor()" class="button">
            <i class="fas fa-edit"></i> Edit
        </button>
        <button type="button" onclick="deleteVisitor()" class="button">
            <i class="fas fa-trash"></i> Delete 
        </button>
    </div>

    <div class="visitor-details" id="visitor0">
        <h4>Visitor 1</h4>
        <div class="input-group">
            <div>
                <label class="custom-label" for="name0">Name</label>
                <input type="text" name="name[]" id="name0" placeholder="Name" required>
            </div>
            <div>
                <label class="custom-label" for="email0">Email</label>
                <input type="email" name="email[]" id="email0" placeholder="Email" required>
            </div>
            <div>
                <label class="custom-label" for="phone0">Phone No</label>
                <input type="text" name="phone[]" id="phone0" placeholder="Phone No" required>
            </div>
        </div>

        <div class="input-group">
            <div>
                <label class="custom-label" for="ic0">IC</label>
                <input type="text" name="ic[]" id="ic0" placeholder="Identity Card Number" required>
            </div>
            <div>
                <label class="custom-label" for="vehicle_reg_no0">Vehicle Reg No</label>
                <input type="text" name="vehicle_reg_no[]" id="vehicle_reg_no0" placeholder="Vehicle Registration Number" required>
            </div>
        </div>
    </div>
</div>

<!-- Create button moved inside visitorContainer -->
<div style="display: flex; justify-content: right; gap: 10px; margin-top: 10px;">
    <button type="submit" 
        style="width: 150px; padding: 4px; background-color: #cf0000; color: white; border: none; border-radius: 4px; cursor: pointer; transition: background-color 0.3s;">
        Create
    </button>
</div>

        <!-- <div>
            <label class="custom-label" for="created_by0">Created By</label>
            <input type="text" name="created_by[]" id="created_by0" placeholder="Created By" required>
        </div>
    </div>

    <div class="input-group">
        <div>
            <label class="custom-label" for="created_date0">Created Date</label>
            <input type="date" name="created_date[]" id="created_date0" value="<?php echo date('Y-m-d'); ?>" required>
        </div>
    </div> -->
</div>
</div>




    </form>

    <script>
        let visitorCount = 1;

        function addVisitor() {
    const visitorContainer = document.getElementById("visitorContainer");
    const visitorHtml = `
        <div class="visitor-details" id="visitor${visitorCount}">
           <h4>Visitor ${visitorCount + 1}</h4>
        <div class="input-group">
            <div>
                <label class="custom-label" for="name${visitorCount}">Name</label>
                <input type="text" name="name[]" id="name${visitorCount}" placeholder="Name" required>
            </div>
            <div>
                <label class="custom-label" for="email${visitorCount}">Email</label>
                <input type="email" name="email[]" id="email${visitorCount}" placeholder="Email" required>
            </div>
            <div>
                <label class="custom-label" for="phone${visitorCount}">Phone No</label>
                <input type="text" name="phone[]" id="phone${visitorCount}" placeholder="Phone No" required>
            </div>
        </div>
        <div class="input-group">
            <div>
                <label class="custom-label" for="ic${visitorCount}">IC</label>
                <input type="text" name="ic[]" id="ic${visitorCount}" placeholder="Identity Card Number" required>
            </div>
            <div>
                <label class="custom-label" for="vehicle_reg_no${visitorCount}">Vehicle Reg No</label>
                <input type="text" name="vehicle_reg_no[]" id="vehicle_reg_no${visitorCount}" placeholder="Vehicle Registration Number" required>
            </div>
        </div>
    `;
    visitorContainer.insertAdjacentHTML('beforeend', visitorHtml);
    visitorCount++;
}


        
        function fetchEmployees(department) {
            const employeeDropdown = document.getElementById('employeeDropdown');
            employeeDropdown.innerHTML = '<option value="" disabled selected>Loading...</option>';
            
            fetch(`fetch_employees.php?department=${department}`)
                .then(response => response.text())
                .then(data => {
                    employeeDropdown.innerHTML = data;
                });
        }
        function editVisitor() {
    // Logic to edit visitor details (you can implement the specifics here)
    alert("Edit functionality to be implemented.");
}

function deleteVisitor() {
    // Logic to delete visitor details (you can implement the specifics here)
    alert("Delete functionality to be implemented.");
}

    </script>
</form>
</body>
</html>
