<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Employee Details</title>
    <style>
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            font-family: Arial, sans-serif;
            color: white;
        }

        /* Table Styling */
        table {
            width: 89%; /* Set a width for the table */
            border-collapse: collapse;
            margin: 20px 0;
            border: 2px solid grey; /* Add grey border */
            margin-left: 5%;
        }

        td, th {
            text-align: center;
            padding: 10px;
            font-size: 11px;
            border: 1px solid #ddd;
        }

        th {
            background-color: #f2f2f2;
            color: #333;
            font-weight: bold;
            cursor: pointer;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
            color: #333;
        }

        tr:nth-child(odd) {
            background-color: #fff;
            color: #333;
        }

        tr:hover {
            background-color: #f1f1f1;
        }

        /* Sort Arrow Styles */
        .sort-arrow {
            margin-left: 5px;
            font-size: 10px;
            vertical-align: middle;
        }

        .asc::after {
            content: '▲';  /* Upward arrow for ascending */
            color: #4CAF50;
        }

        .desc::after {
            content: '▼';  /* Downward arrow for descending */
            color: #4CAF50;
        }

        .button {
            background-color: #0066cc;
            color: white;
            border: none;
            border-radius: 5px;
            padding: 10px 20px;
            cursor: pointer;
            font-size: 14px;
            margin: 10px;
            text-decoration: none;
            margin-top: 1px;
        }

        .button:hover {
            background-color: #0055a5;
        }

        .controls {
            display: flex;
            justify-content: center;
            margin-bottom: 10px;
        }

        .search-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
            width: 90%;
            margin: 0 auto;
        }

        #globalSearch {
            padding: 8px;
            width: 82%;
            margin-right: 10px;
            border: 1px solid #333;
            border-radius: 5px;
            font-size: 14px;
        }

        #globalSearch:focus {
            border-color: #0056b3;
        }

        .dropdown button {
            padding: 8px 16px;
            background-color:#0066cc;
            color: white;
            border: none;
            cursor: pointer;
            font-size: 14px;
            text-align: center;
            width: 150px;
        }

        /* Dropdown content (hidden by default) */
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
            border-radius: 4px;
        }

        .dropdown-content label {
            display: flex;
            align-items: center;
            padding: 8px 16px;
            cursor: pointer;
        }

        /* Checkbox styling */
        .dropdown-content input[type="checkbox"] {
            margin-right: 8px;
            accent-color: #4CAF50;
        }

        /* Hover effect on dropdown items */
        .dropdown-content label:hover {
            background-color: #ddd;
        }

        .show { display: block; }

        select {
            padding: 10px;
            font-size: 12px;
            border: 2px solid #333;
            border-radius: 5px;
            background-color: #fff;
            color: #333;
            cursor: pointer;
        }

        select option {
            padding: 10px;
            background-color: #fff;
            color: #333;
        }

        select:hover {
            border-color: #0066cc;
        }

        select:focus {
            outline: none;
            border-color: #0066cc;
        }

        @media print {
        #printButton {
            display: none; /* Hide the print button during printing */
        }
    
        body {
            visibility: hidden; /* Hide all content initially */
        }
    
        body * {
            visibility: hidden; /* Hide all child elements */
        }
    
        body #employeeTable, body #employeeTable * {
            visibility: visible; /* Only make the table visible */
        }
    
        body #employeeTable {
            position: absolute; /* Position the table absolutely for better printing */
            left: 0;
            top: 0;
        }
    
        /* Hide the Action column during print */
        body #employeeTable td:last-child,
        body #employeeTable th:last-child {
            display: none;
        }
    }

    </style>
</head>
<body>
    <h2>Registered Users</h2>
    <br>
    <?php
    include('dbconn.php');

    $sql = "SELECT * FROM login_user";
    $query = mysqli_query($db, $sql);

    echo '<div class="controls">';
    echo '<div class="search-container">';
    echo '<input type="text" id="globalSearch" placeholder="Search in table..." onkeyup="filterTable()">';
    echo '<div class="dropdown">'; 
        echo '<button onclick="toggleDropdown()" class="button">Toggle Columns</button>';
        echo '<div id="myDropdown" class="dropdown-content">';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(0)"> No.</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(1)"> Name</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(2)"> Username</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(3)"> Email</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(4)"> Dept</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(5)"> Role</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(6)"> Employee Number</label>';
        echo '<label><input type="checkbox" checked onchange="toggleColumn(7)"> Action</label>';
        echo '</div></div>'; 
    echo '</div>'; 
    echo '</div>'; 

    echo "<table id='employeeTable' border='1'>";
    echo "<tr>";
    echo "<th onclick='sortTable(0)'>No.<span class='sort-arrow' id='sort-arrow-0'></span></th>";
    echo "<th onclick='sortTable(1)'>Name<span class='sort-arrow' id='sort-arrow-1'></span></th>";
    echo "<th onclick='sortTable(2)'>Username<span class='sort-arrow' id='sort-arrow-2'></span></th>";
    echo "<th onclick='sortTable(3)'>Email<span class='sort-arrow' id='sort-arrow-3'></span></th>";
    echo "<th onclick='sortTable(4)'>Dept<span class='sort-arrow' id='sort-arrow-4'></span></th>";
    echo "<th onclick='sortTable(5)'>Role<span class='sort-arrow' id='sort-arrow-5'></span></th>";
    echo "<th onclick='sortTable(6)'>Employee Number<span class='sort-arrow' id='sort-arrow-6'></span></th>";
    echo "<th>Action</th>";
    echo "</tr>";

    $rowNumber = 1;

    while ($fetch = mysqli_fetch_array($query)) {
        echo "<tr>";
        echo "<td>" . $rowNumber++ . "</td>";
        echo "<td>" . htmlspecialchars($fetch['name']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['username']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['email']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['department_name']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['user']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['employee_number']) . "</td>";
        echo "<td>
                <select onchange='performAction(" . $fetch['id'] . ", this)'>
                    <option value='' disabled selected>Action</option>
                    <option value='edit'>Edit</option>
                </select>
              </td>";
        echo "</tr>";
    }

    echo "</table>";
    echo '<div style="margin-bottom: 10px;">';
    echo '<button type="button" class="button" id="printButton" onclick="print11()">Print</button>';
    echo '</div>';
    ?>

    <script type="text/javascript">
        let sortDirection = [];

        function performAction(id, selectElement) {
            const action = selectElement.value;

            switch (action) {
                case 'edit':
                    editUserAccess(id);
                    break;
                default:
                    console.log("No action selected.");
            }
        }

        function editUserAccess(id) {
            window.location.href = "admin_edit2_0.php?id=" + id;
        }

        function sortTable(columnIndex) {
            const table = document.getElementById('employeeTable');
            const rows = Array.from(table.rows).slice(1);
            const currentDirection = sortDirection[columnIndex] || 'asc';
            const nextDirection = currentDirection === 'asc' ? 'desc' : 'asc';

            sortDirection[columnIndex] = nextDirection;

            rows.sort((a, b) => {
                const cellA = a.cells[columnIndex].textContent.trim();
                const cellB = b.cells[columnIndex].textContent.trim();
                const comparison = cellA.localeCompare(cellB, undefined, {numeric: true, sensitivity: 'base'});

                return nextDirection === 'asc' ? comparison : -comparison;
            });

            rows.forEach(row => table.appendChild(row));

            const sortArrow = document.getElementById('sort-arrow-' + columnIndex);
            sortArrow.className = nextDirection === 'asc' ? 'asc' : 'desc';
        }

        function toggleColumn(columnIndex) {
            const table = document.getElementById('employeeTable');
            const th = table.querySelectorAll('th')[columnIndex];
            const tdCells = table.querySelectorAll('td:nth-child(' + (columnIndex + 1) + ')');

            const isChecked = event.target.checked;
            th.style.display = isChecked ? '' : 'none';
            tdCells.forEach(cell => {
                cell.style.display = isChecked ? '' : 'none';
            });
        }

        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }

        window.onclick = function(event) {
            if (!event.target.matches('.dropdown button')) {
                const dropdowns = document.getElementsByClassName("dropdown-content");
                for (let i = 0; i < dropdowns.length; i++) {
                    const openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        }

        function filterTable() {
            const input = document.getElementById('globalSearch');
            const filter = input.value.toUpperCase();
            const table = document.getElementById('employeeTable');
            const rows = table.getElementsByTagName('tr');
            
            for (let i = 1; i < rows.length; i++) {
                const cells = rows[i].getElementsByTagName('td');
                let found = false;
                for (let j = 0; j < cells.length; j++) {
                    const cell = cells[j];
                    if (cell.textContent.toUpperCase().includes(filter)) {
                        found = true;
                        break;
                    }
                }
                rows[i].style.display = found ? '' : 'none';
            }
        }

        function print11() {
            window.print();  // This opens the print dialog without hiding the button.
        }
    </script>
</body>
</html>
