<?php
// Start the session
session_start();

// Include database connection
include('dbconn.php');

// Get counts for the display
$sql = "SELECT count(*) FROM inquery";
$query = mysqli_query($db, $sql);
$fetch = mysqli_fetch_array($query);

$sql = "SELECT count(*) FROM emp_table";
$query = mysqli_query($db, $sql);
$fetch1 = mysqli_fetch_array($query);

$sql = "SELECT count(*) FROM department";
$query = mysqli_query($db, $sql);
$fetch2 = mysqli_fetch_array($query);
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>VMS - Admin QR Code Scanner</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/loader-style.css">
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="css/custom.css">
    <link rel="stylesheet" type="text/css" href="assets/js/progress-bar/number-pb.css">

    <style>
        #video {
            width: 100%;
            max-width: 600px;
            height: auto;
            border: 2px solid #000;
        }

        #canvas {
            display: none; /* Hide canvas initially */
        }

        #results {
            margin-top: 10px;
            font-weight: bold;
        }

        .btn {
            margin: 5px;
            padding: 10px 15px;
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <?php include('../topbar.php'); ?>
    <!-- /END OF TOP NAVBAR -->

    <!-- SIDE MENU -->
    <?php include('../sidebar_1.php'); ?>
    <!-- END OF SIDE MENU -->

    <!--  PAPER WRAP -->
    <div class="wrap-fluid">
        <div class="container-fluid paper-wrap bevel tlbr">
            <div class="content-wrap">
                <div class="row">
                    <div class="col-sm-12">
                        <div id="logo">
                            <a href="/admin/dashboard.php" style="text-decoration: none; color: inherit;">
                                <h1>Admin QR Code Scanner - Alternative</h1>
                            </a>
                        </div>
                        <video id="video" autoplay></video>
                        <button type="button" id="snap" class="btn">Scan</button>
                        <button type="button" onClick="vidOn()" class="btn">Start</button>
                        <button type="button" onClick="vidOff()" class="btn">Stop</button>
                        <canvas id="canvas" width="600" height="480"></canvas>
                        <div id="results"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--  END OF PAPER WRAP -->

    <!-- FOOTER -->
    <div class="footer-space"></div>
    <div id="footer">
        <div class="devider-footer-left"></div>
        <div class="time">
            <p id="spanDate"></p>
            <p id="clock"></p>
        </div>
        <div class="copyright">Make with Love
            <span class="entypo-heart"></span>2014 <a href="https://gamatechno.com">Thesmile</a> All Rights Reserved
        </div>
        <div class="devider-footer"></div>
    </div>
    <!-- / END OF FOOTER -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.js"></script>
    <script src="assets/js/progress-bar/src/jquery.velocity.min.js"></script>
    <script src="assets/js/progress-bar/number-pb.js"></script>
    <script src="assets/js/progress-bar/progress-app.js"></script>
    <script src="assets/js/preloader.js"></script>
    <script src="assets/js/bootstrap.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="assets/js/load.js"></script>
    <script src="assets/js/main.js"></script>

    <script>
        var video = document.getElementById('video');
        var canvas = document.getElementById('canvas');
        var context = canvas.getContext('2d');

        // Get access to the camera
        function vidOn() {
            if (navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
                navigator.mediaDevices.getUserMedia({ video: true })
                    .then(function(stream) {
                        video.srcObject = stream;
                        video.play();
                    })
                    .catch(function(err) {
                        console.error("Error accessing camera: " + err);
                    });
            }
        }

        function vidOff() {
            video.pause();
            video.srcObject.getTracks().forEach(track => track.stop()); // Stop all video tracks
            video.srcObject = null;
        }

        // Capture frame and scan for QR code
        document.getElementById("snap").addEventListener("click", function() {
            context.drawImage(video, 0, 0, canvas.width, canvas.height);
            canvas.toBlob(function(blob) {
                var formData = new FormData();
                formData.append("file", blob); // Append the captured image

                // Send the image to the QR code API
                fetch('http://api.qrserver.com/v1/read-qr-code/', {
                    method: 'POST',
                    body: formData
                })
                .then(response => response.json())
                .then(data => {
                    if (data && data[0].data) {
                        // Process the QR code data (e.g., display or redirect)
                        document.getElementById('results').innerText = "QR Code Data: " + data[0].data;
                    } else {
                        document.getElementById('results').innerText = "No QR code found. Try again.";
                    }
                })
                .catch(error => {
                    console.error("Error reading QR code: ", error);
                    document.getElementById('results').innerText = "Error reading QR code.";
                });
            }, 'image/jpeg'); // Change to the desired image format
        });
    </script>
</body>

</html>
