<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Insert Admin</title>
    <link rel="stylesheet" type="text/css" href="../css/custom.css">
    <link rel="stylesheet" type="text/css" href="../css/demo.css">
    <link rel="stylesheet" type="text/css" href="../css/component.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        function phoneno() {
            $('#phone').keypress(function (e) {
                var a = [];
                var k = e.which;
                for (i = 48; i < 58; i++) a.push(i);
                if (!(a.indexOf(k) >= 0)) e.preventDefault();
            });
        }

        function onlyAlphabets(evt) {
            var charCode = (evt.which) ? evt.which : event.keyCode;
            if (charCode == 32) return true; // space
            if (charCode > 31 && (charCode < 65 || charCode > 90) && (charCode < 97 || charCode > 122)) return false;
            return true;
        }
    </script>
    <style>
        body {
            margin: 0;
            background-attachment: fixed;
            background-image: url(assets/img/bgredbrown.png);
            background-size: cover;
            background-repeat: no-repeat;
            font-family: 'Poppins', sans-serif;
            color: white;
            text-align: center;
        }

        /* Main Form Container */
        .admin_main {
            max-width: 500px; /* More compact form */
            margin: 50px auto;
            padding: 30px;
            background-color: #ffffff;
            border-radius: 8px;
            border: 1px solid #e0e0e0;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            display: flex;
            flex-direction: column;
        }

        h2 {
            font-size: 26px;
            text-align: center;
            color: #333;
            margin-bottom: 20px;
        }

        /* Input Fields */
        input, select {
            width: 100%;
            padding: 12px;
            border-radius: 8px;
            border: 1px solid #ddd;
            margin-top: 12px;
            background-color: #f9f9f9;
            font-size: 14px;
            transition: all 0.3s ease;
        }

        input:focus, select:focus {
            border-color: #4caf50;
            background-color: #ffffff;
            outline: none;
        }

        input[type="submit"] {
            background-color:  #0066cc;
            color: white;
            cursor: pointer;
            font-size: 14px;
            padding: 12px;
            border: none;
            border-radius: 8px;
            margin-top: 20px;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #005bb5;
        }

        /* Flexbox for Input Rows */
        .input-row {
            display: flex;
            flex-direction: column;
            margin-top: 12px;
        }

        /* Label Styling */
        label {
            font-size: 14px;
            color: #333;
            margin-bottom: 8px;
            text-align: left;
            font-weight: 500;
        }

        /* For Mobile Responsiveness */
        @media (max-width: 600px) {
            .admin_main {
                padding: 20px;
                margin: 20px auto;
            }
        }

        /* Adding a subtle box shadow for the submit button */
        input[type="submit"]:active {
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
        .bevel.tlbr {
            margin: 0px;
            background: #ecf0f1;
        }
    </style>
</head>
<body>
    <form action="admin_user_insert.php" method="post" enctype="multipart/form-data">
        <div class="admin_main">
            <h2>User Access</h2>

            <!-- Username Field -->
            <div class="input-row">
                <label for="username">Username</label>
                <input type="text" id="username" name="username" placeholder="Enter your Username" required>
            </div>

            <!-- Name Field -->
            <div class="input-row">
                <label for="name">Name</label>
                <input type="text" id="name" name="name" onkeypress="return onlyAlphabets(event);" placeholder="Enter your Name" required>
            </div>

            <!-- Email Field -->
            <div class="input-row">
                <label for="email">Email</label>
                <input type="email" id="email" name="email" placeholder="Enter your Email" required>
            </div>

            <!-- Password Field -->
            <div class="input-row">
                <label for="password">Password</label>
                <input type="password" id="password" name="password" placeholder="Enter your Password" required>
            </div>

            <!-- Phone and Employee Number Fields -->
            <div class="input-row">
                <label for="phone">Phone Number</label>
                <input id="phone" type="text" pattern="\d{10}" title="Please enter exactly 10 digits" onkeypress="phoneno()" maxlength="10" name="phone" placeholder="Enter your Phone No" required>
            </div>

            <div class="input-row">
                <label for="employee_number">Employee Number</label>
                <input type="text" id="employee_number" name="employee_number" placeholder="Enter Employee Number" required>
            </div>

            <!-- Department and Role Fields -->
            <div class="input-row">
                <label for="department">Department</label>
                <select name="department" id="department" required>
                    <option value="" disabled selected>- Select department -</option>
                    <?php
                    include('dbconn.php');
                    $sql = "SELECT * FROM department";
                    $query = mysqli_query($db, $sql);
                    while ($fetch = mysqli_fetch_array($query)) {
                        echo "<option value=\"{$fetch[1]}\">{$fetch[1]}</option>";
                    }
                    ?>
                </select>
            </div>

            <div class="input-row">
                <label for="user">Role</label>
                <select name="user" id="user" required>
                    <option value="" disabled selected>Select Role</option>
                    <option value="Admin">Admin</option>
                    <option value="Approver">Approver</option>
                    <option value="Guard">Guard</option>
                    <option value="Requestor">Requestor</option>
                </select>
            </div>

            <!-- Submit Button -->
            <div>
                <input type="submit" value="Sign Up">
            </div>
        </div>
    </form>
    <script src="../javascript/custom-file-input.js"></script>
</body>
</html>
