<?php
include('dbconn.php'); // Include the database connection file
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Assign Access Card</title>
    <style>
       
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f5f5f5;
            color: #444;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            
        }

        /* Container to center the form */
        .container {
            background: #fff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 400px;
            height: 60vh;
        }

        /* Header styling */
        h2 {
            text-align: center;
            color: #2c3e50;
            margin-bottom: 20px;
        }

        /* Label and input field styles */
        label {
            font-size: 0.95rem;
            font-weight: 600;
            color: #333;
            margin-bottom: 8px;
            display: block;
        }

        select, input[type="submit"] {
            width: 100%;
            padding: 12px;
            font-size: 1rem;
            border-radius: 8px;
            border: 1px solid #ddd;
            margin-bottom: 20px;
            background-color: #fafafa;
            transition: background-color 0.3s ease, border-color 0.3s ease;
        }

        /* Input field hover effects */
        select:hover, input[type="submit"]:hover {
            background-color: #f1f1f1;
            border-color: #aaa;
        }

        /* Input field focus effects */
        select:focus, input[type="submit"]:focus {
            background-color: #fff;
            border-color: #3498db;
            outline: none;
        }

        /* Submit button styling */
        input[type="submit"] {
            background-color: #3498db;
            color: white;
            font-weight: bold;
            border: none;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        /* Submit button hover effect */
        input[type="submit"]:hover {
            background-color: #2980b9;
        }

        /* Error message styles */
        .error {
            color: #e74c3c;
            font-size: 0.875rem;
            text-align: center;
            margin-top: 10px;
        }

        /* Responsive Design */
        @media (max-width: 600px) {
            .container {
                padding: 20px;
                width: 90%;
            }
        }

    </style>
</head>
<body>

    <div class="container">
        <form action="assign_card.php" method="POST">
            <h2>Assign Access Card</h2>
            <br>
            
            <!-- Select Visitor Dropdown -->
            <label for="visitor_id">Select Visitor:</label>
            <select name="visitor_id" id="visitor_id" required>
                <option value="" disabled selected>Select a Visitor</option>
                <?php
                // Fetch visitors from `visitor_details` and `walkin_visitors`
                $query = "
                    SELECT visitor_id, Name AS visitor_name 
                    FROM visitor_details
                    UNION
                    SELECT ID AS visitor_id, name AS visitor_name 
                    FROM walkin_visitors
                ";
                $result = mysqli_query($db, $query);
            
                if (!$result) {
                    echo "<option disabled>Error fetching visitors: " . htmlspecialchars(mysqli_error($db)) . "</option>";
                } elseif (mysqli_num_rows($result) > 0) {
                    while ($row = mysqli_fetch_assoc($result)) {
                        echo "<option value='" . htmlspecialchars($row['visitor_id']) . "'>" . htmlspecialchars($row['visitor_name']) . "</option>";
                    }
                } else {
                    echo "<option disabled>No visitors found</option>";
                }
                ?>
            </select>

            <!-- Select Access Card Dropdown -->
            <label for="card_number">Access Card:</label>
            <select name="card_number" id="card_number" required>
                <option value="" disabled selected>Select a Card</option>
                <?php
                // Query to fetch available cards
                $query = "SELECT card_number FROM access_cards WHERE status='Available'";
                $result = mysqli_query($db, $query);

                if (!$result) {
                    echo "<option disabled>Error fetching cards: " . htmlspecialchars(mysqli_error($db)) . "</option>";
                } elseif (mysqli_num_rows($result) > 0) {
                    while ($row = mysqli_fetch_assoc($result)) {
                        echo "<option value='" . htmlspecialchars($row['card_number']) . "'>" . htmlspecialchars($row['card_number']) . "</option>";
                    }
                } else {
                    echo "<option disabled>No available cards</option>";
                }
                ?>
            </select>

            <!-- Submit Button -->
            <input type="submit" value="Assign Card">
        </form>
    </div>

    <?php
    // Close the connection once after the form ends
    mysqli_close($db);
    ?>

</body>
</html>
