<?php
include('dbconn.php');

// Check if the 'id' parameter is present in the URL
if (isset($_GET['id'])) {
    $id = intval($_GET['id']); // Get the ID from the URL and ensure it's an integer

    // Set the timezone to Kuala Lumpur
    date_default_timezone_set('Asia/Kuala_Lumpur');
    
    // Get the current time (hour:minute:second)
    $arriveTime = date('H:i:s');

    // Prepare the SQL query to update the Arrive time
    $sql = "UPDATE visitor_details SET Arrive = ? WHERE ID = ?";
    
    // Prepare and execute the statement
    if ($stmt = mysqli_prepare($db, $sql)) {
        mysqli_stmt_bind_param($stmt, 'si', $arriveTime, $id); // Bind the parameters
        if (mysqli_stmt_execute($stmt)) {
            // Redirect back to the display page after successful check-in with success message
            header("Location: ../php/vis_display_0.php?message=Checked in successfully.");
            exit();
        } else {
            echo "Error updating record: " . mysqli_error($db);
        }
        mysqli_stmt_close($stmt);
    } else {
        echo "Error preparing statement: " . mysqli_error($db);
    }
} else {
    echo "No ID specified.";
}

// Close the database connection
mysqli_close($db);
?>
