<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Department</title>
    <link rel="stylesheet" href="../css/custom.css">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap" rel="stylesheet">
    <style>
		body {
            margin: 0;
            background-image: url(assets/img/bgredbrown.png);
            background-size: cover;
            font-family: 'Poppins', sans-serif;
            color: #333;
        }

       .container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 80vh;
        }

        .card {
            background: #fff;
            border-radius: 20px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1); /* Softer shadow */
            padding: 40px;
            width: 380px;
            text-align: center;
            transition: transform 0.3s ease, box-shadow 0.3s ease; /* Smooth hover effect */
            border: 2px solid #ddd; 
        }

        .card:hover {
            transform: translateY(-15px); /* Slight hover effect */
            box-shadow: 0 15px 45px rgba(0, 0, 0, 0.2); /* More intense shadow on hover */
        }

        h1.department_title {
            font-size: 24px;
            color: #333;
            margin-bottom: 30px;
            font-weight: 600;
        }

        input[type="text"] {
            width: calc(100% - 32px);
            height: 45px;
            border-radius: 10px;
            border: 1px solid #ddd; /* Subtle border */
            padding: 16px;
            margin-top: 10px;
            background-color: #f7f7f7;
            color: #333;
            font-size: 16px;
            transition: border-color 0.3s ease;
        }

        input[type="text"]:focus {
            border-color: #c62828;
            outline: none;
        }

        input[type="submit"] {
            padding: 14px 32px;
            width: 50%;
            height: 48px;
            border-radius: 8px;
            border: none;
            background-color:#0066cc;
            color: white;
            font-size: 18px;
            font-weight: 600;
            cursor: pointer;
            margin-top: 25px;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: grey;
        }

		.bevel.tlbr
		{
			margin:0px;
			background: #f2f2f2;
		}
    </style>
</head>

<body>
    <div class="container">
        <div class="card">
            <h1 class="department_title">Add Department</h1>
            <form action="department_insert.php" method="post">
                <input type="text" name="department_name" placeholder="Enter Department Name" required><br><br>
                <input type="submit" value="Add">
            </form>
        </div>
    </div>

</body>
</html>
