<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Display Employee Details</title>
    <style>
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            color: white;
        }
        table {
            border-collapse: collapse;
            margin: 20px auto;
            width: 90%;
        }

        td, th {
            text-align: center;
            height: 50px;
            width: 200px;
            padding: 10px;
        }

        th {
            font-family: 'Poppins', sans-serif; 
            font-size: 23px;
            color: white;
        }

        td:last-child, th:last-child {
            width: 250px; /* Ensure enough space for the buttons */
        }

        /* Add hover effect for table rows */
        tr:hover {
            background-color: rgba(249, 249, 249, 0.5);
        }

        /* Search Box Style */
        #searchInput {
            padding: 10px;
            width: 300px;
            margin-bottom: 20px;
            border: 2px solid #333;
            border-radius: 5px;
            font-size: 16px;
            background-color: #fff;
            color: #333;
        }
        /* Dropdown Styles */
        .dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 20px;
        }
        .dropdown button {
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
        }
        .dropdown button:hover {
            background-color: #444;
        }
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
        }
        .dropdown-content label {
            display: block;
            padding: 8px 16px;
            cursor: pointer;
            background-color: white;
            color: black;
        }
        .dropdown-content label:hover {
            background-color: #ddd;
        }
        .show {
            display: block;
        }
        /* Print Button Style */
        #printButton {
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            background-color:#0066cc ;
            color: white;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
        }
        #printButton:hover {
            background-color: #444;
        }
        
        /* Action Button Styles */
        .action-button {
            padding: 5px 10px;
            font-size: 14px;
            background-color: skyblue;
            color: black;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }
        .action-button:hover {
            background-color: deepskyblue;
        }
        /* Delete Button Style */
        .delete-button {
            padding: 5px 10px;
            font-size: 14px;
            background-color:#cf0000 ;
            color: white;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }
        .delete-button:hover {
            background-color: darkred;
        }
    </style>
</head>
<body>
    <?php
    include('dbconn.php');

    $sql = "SELECT * FROM emp_table";
    $query = mysqli_query($db, $sql);

    // Create a container for the search and toggle dropdown
    echo '<div style="display: flex; justify-content: center; margin-bottom: 10px;">';
    // Create a search box
    echo '<input type="text" id="searchInput" onkeyup="searchTable()" placeholder="Search for names, emails, etc.">';

    // Dropdown for column visibility
    echo '<div class="dropdown" style="margin-left: 10px;">';
        echo '<button onclick="toggleDropdown()">Toggle Columns</button>';
        echo '<div id="myDropdown" class="dropdown-content">';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(0)"> Name</label>';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(1)"> Gender</label>';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(2)"> Age</label>';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(3)"> Phone</label>';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(4)"> E-mail</label>';
            echo '<label><input type="checkbox" checked onchange="toggleColumn(5)"> Department</label>';
        echo '</div></div>';
    echo '</div>';

    // Create a row for the print button
    echo '<div style="margin-bottom: 10px;">';
    echo '<button type="button" id="printButton" onclick="printTable()">Print</button>';
    echo '</div>';

    echo "<table id='employeeTable' align='center' border='1'>";
    echo "<tr>";
    echo "<th>No.</th>"; // Add a header for the number
    echo "<th>Name</th>";
    echo "<th>Gender</th>";
    echo "<th>Age</th>";
    echo "<th>Phone</th>";
    echo "<th>E-mail</th>";
    echo "<th>Department</th>";
    echo "<th>Action</th>"; // New "Action" column
    echo "</tr>";

    $number = 1; // Initialize a counter for numbering
    while ($fetch = mysqli_fetch_array($query)) {
        echo "<tr>";
        echo "<td>" . $number++ . ".</td>"; // Output the number with a period
        echo "<td>" . htmlspecialchars($fetch['name']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['gender']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['age']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['phone']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['email_id']) . "</td>";
        echo "<td>" . htmlspecialchars($fetch['department_name']) . "</td>";
        // Add edit and delete buttons in the Action column
        echo "<td>";
        echo "<a href='emp_edit2_0.php?id=" . htmlspecialchars($fetch['id']) . "'><button class='action-button'>Edit</button></a>";
        echo " ";
        echo "<button class='delete-button' onclick='confirmDelete(" . htmlspecialchars($fetch['id']) . ")'>Delete</button>";
        echo "</td>";
        echo "</tr>";
    }
    echo "</table>";
    echo "<br><br>";
    ?>

    <script type="text/javascript">
        function printTable() {
            var button = document.getElementById('printButton');
            button.style.display = 'none'; // Hide print button before printing
            window.print();
            button.style.display = 'block'; // Show print button after printing
        }

        // Search function
        function searchTable() {
            var input = document.getElementById("searchInput");
            var filter = input.value.toLowerCase();
            var table = document.getElementById("employeeTable");
            var tr = table.getElementsByTagName("tr");

            for (var i = 1; i < tr.length; i++) { // Start from 1 to skip header row
                var td = tr[i].getElementsByTagName("td");
                var found = false;

                for (var j = 0; j < td.length; j++) {
                    if (td[j]) {
                        var txtValue = td[j].textContent || td[j].innerText;
                        if (txtValue.toLowerCase().indexOf(filter) > -1) {
                            found = true;
                            break; // Stop searching once a match is found
                        }
                    }
                }

                tr[i].style.display = found ? "" : "none"; // Show or hide row
            }
        }

        // Function to toggle column visibility
        function toggleColumn(index) {
            var table = document.getElementById("employeeTable");
            var rows = table.getElementsByTagName("tr");

            // Get the header cell for the current index
            var headerCell = rows[0].getElementsByTagName("th")[index];

            // Toggle header visibility
            if (headerCell) {
                headerCell.style.display = headerCell.style.display === "none" ? "" : "none"; // Toggle header visibility
            }

            // Toggle cell visibility for each row
            for (var i = 0; i < rows.length; i++) {
                var cell = rows[i].getElementsByTagName("td")[index];
                if (cell) {
                    // Set the display style based on header visibility
                    cell.style.display = headerCell.style.display === "none" ? "none" : ""; // Hide or show cell based on header
                }
            }
        }

        // Function to toggle the dropdown visibility
        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }

        // Delete confirmation prompt
        function confirmDelete(id) {
            if (confirm("Are you sure you want to delete this record?")) {
                window.location.href = 'emp_delete2.php?id=' + id;
            }
        }

        // Close the dropdown if the user clicks outside of it
        window.onclick = function (event) {
            if (!event.target.matches('.dropdown button')) {
                var dropdowns = document.getElementsByClassName("dropdown-content");
                for (var i = 0; i < dropdowns.length; i++) {
                    var openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        }
    </script>
</body>
</html>
