<?php
include('dbconn.php');

if (isset($_GET['department']) && !empty($_GET['department'])) {
    $department = mysqli_real_escape_string($db, $_GET['department']);
    
    // Use a prepared statement to fetch employees based on the selected department
    $stmt = $db->prepare("SELECT name FROM emp_table WHERE department_name = ?");
    $stmt->bind_param("s", $department);
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if any employees were found
    if ($result && $result->num_rows > 0) {
        while ($fetch = $result->fetch_assoc()) {
            echo '<option value="' . htmlspecialchars($fetch['name']) . '">' . htmlspecialchars($fetch['name']) . '</option>';
        }
    } else {
        echo '<option value="">No employees found</option>';
    }
    
    $stmt->close(); // Close the prepared statement
}
?>
