<?php
session_start();
include('dbconn.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "<script>alert('Please log in first.'); location.href='../index.html';</script>";
    exit();
}

// Fetch the logged-in user ID
$userId = $_SESSION['user_id'];

// SQL query to fetch inquiry details based on approver ID
$sql = "SELECT * FROM inquery WHERE Approver = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("i", $userId); // Bind the logged-in user ID
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    // Display the records in a table
    echo "<table border='1'>
            <tr>
                <th>Visitor ID</th>
                <th>Name</th>
                <th>Details</th>
                <th>Approver ID</th>
            </tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr>
                <td>" . htmlspecialchars($row['Id']) . "</td>
                <td>" . htmlspecialchars($row['Name']) . "</td>
                <td>" . htmlspecialchars($row['Purpose']) . "</td>
                <td>" . htmlspecialchars($row['Approver']) . "</td>
              </tr>";
    }
    echo "</table>";
} else {
    echo "<script>alert('No records found.'); location.href='../index.html';</script>";
}
?>
