<?php
session_start();
include('dbconn.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "<script>alert('Please log in first.'); location.href='../index.html';</script>";
    exit();
}

// Fetch the logged-in user ID and role
$userId = $_SESSION['user_id'];
$role_name = $_SESSION['role'];

// Prepare SQL to fetch history based on approver ID
$sql = "SELECT ID, Name, Email, Gender, Phone, Approver, created_at, In_Time, Out_Time, Status FROM inquery WHERE Approver = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("i", $userId);
$stmt->execute();
$result = $stmt->get_result();

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Approval History</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <style>
        body {
            text-align: center;
            background-color: #f2f2f2;
            color: black;
        }
        table {
            border-collapse: collapse;
            margin: 20px auto;
            width: 90%;
        }
        td, th {
            text-align: center;
            height: 50px;
            padding: 10px;
        }
        th {
            background-color: #4CAF50;
            color: white;
        }
        tr:hover {
            background-color: rgba(211, 211, 211, 0.5);
        }
    </style>
</head>
<body>

    <h2>Approval History</h2>

    <div class="table-container">
        <table id='historyTable'>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Email</th>
                <th>Gender</th>
                <th>Phone</th>
                <th>Created Date</th>
                <th>In Time</th>
                <th>Out Time</th>
                <th>Status</th>
            </tr>

            <?php
            while ($fetch = mysqli_fetch_array($result)): ?>
                <tr>
                    <td><?php echo htmlspecialchars($fetch['ID']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Name']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Email']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Gender']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Phone']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['created_at']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['In_Time']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Out_Time']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Status']); ?></td>
                </tr>
            <?php endwhile; ?>
        </table>
    </div>

</body>
</html>
