<?php
include('dbconn.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "<script>alert('Please log in first.'); location.href='../index.html';</script>";
    exit();
}

// Fetch the logged-in user ID and role
$userId = $_SESSION['user_id'];
$role_name = $_SESSION['role']; // Ensure you have the user role in session

// SQL query to fetch the walkin visitors
$sql = "SELECT ID, name, email, phone, visit_date, created_at, request_form_no FROM walkin_visitors";

// Execute the SQL query for admin (or general users, if applicable)
$result = $db->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Walk-In Visitor Details</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            color: white;
        }

        table {
            border-collapse: collapse;
            margin: auto;
            width: 80%;
            border: 2px solid grey;
        }

        td, th {
            text-align: center;
            padding: 10px;
            font-size: 12px;
            border: 1px solid #ddd;
        }

        th {
            background-color: #f2f2f2;
            color: #333;
            font-weight: bold;
            cursor: pointer;
            position: relative;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
            color: #333;
        }

        tr:nth-child(odd) {
            background-color: #fff;
            color: #333;
        }

        tr:hover {
            background-color: #f1f1f1;
        }

        .search-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
            margin-left: 10%;
            width: 80%;
        }

        /* Sort icon styles */
        .sort-icon {
            display: inline-block;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            margin-left: 5px;
            vertical-align: middle;
        }

        /* Upward arrow (ascending) */
        .sort-icon.asc {
            border-bottom: 6px solid #4CAF50; /* Green color for ascending */
        }

        /* Downward arrow (descending) */
        .sort-icon.desc {
            border-top: 6px solid #4CAF50; /* Green color for descending */
        }

        #globalSearch {
            padding: 8px;
            width: 80%;
            margin-right: 10px;
            border: 1px solid #333;
            border-radius: 5px;
            font-size: 14px;
        }

        #globalSearch:focus {
            border-color: #0056b3;
        }

        .dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 3px;
        }

        .dropdown button {
            padding: 8px 16px;
            background-color:#0066cc;
            color: white;
            border: none;
            cursor: pointer;
            font-size: 14px;
            text-align: center;
            width: 150px;
        }

        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
            border-radius: 4px;
        }

        .dropdown-content label {
            display: flex;
            align-items: center;
            padding: 8px 16px;
            cursor: pointer;
        }

        .dropdown-content input[type="checkbox"] {
            margin-right: 8px;
            accent-color: #4CAF50;
        }

        .dropdown-content label:hover {
            background-color: #ddd;
        }

        button {
            padding: 8px 16px;
            background-color: #0066cc;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px;
            font-size: 16px;
            margin: 5px;
        }

        .table-container {
            max-width: 100%;
            overflow-y: hidden;
            overflow-x: auto;
            margin: 0 auto;
            border-radius: 5px;
            background-color: rgba(255, 255, 255, 0.1);
        }

        @media print {
            body * {
                visibility: hidden;
            }

            #visitorsTable, #visitorsTable * {
                visibility: visible;
            }

            #visitorsTable {
                position: relative;
                width: 100%;
                left: 0;
                top: 0;
            }

            /* Hide the action column in print */
            #visitorsTable td:nth-child(7), 
            #visitorsTable th:nth-child(7) {
                display: none;
            }
        }

    </style>
</head>
<body>
    <h2>Walk-In Visitor Details</h2>
    <br>

    <div class="search-container">
        <input type="text" id="globalSearch" placeholder="Search in table..." onkeyup="filterTable()">
        
        <!-- Toggle Columns Button -->
        <div class="dropdown">
            <button onclick="toggleDropdown()">Toggle Columns</button>
            <div id="myDropdown" class="dropdown-content">
                <label><input type="checkbox" checked onchange="toggleColumn(0)"> ID</label>
                <label><input type="checkbox" checked onchange="toggleColumn(1)"> Name</label>
                <label><input type="checkbox" checked onchange="toggleColumn(2)"> Email</label>
                <label><input type="checkbox" checked onchange="toggleColumn(3)"> Phone</label>
                <label><input type="checkbox" checked onchange="toggleColumn(4)"> Visit Date</label>
                <label><input type="checkbox" checked onchange="toggleColumn(5)"> Created At</label>
                <label><input type="checkbox" onchange="toggleColumn(6)"> Action</label>
            </div>
        </div>
    </div>

    <div class="table-container">
        <table id="visitorsTable">
            <thead>
                <tr>
                    <th onclick="sortTable(0)">ID <span class="sort-icon" id="sortIcon0"></span></th>
                    <th onclick="sortTable(1)">Name <span class="sort-icon" id="sortIcon1"></span></th>
                    <th onclick="sortTable(2)">Email <span class="sort-icon" id="sortIcon2"></span></th>
                    <th onclick="sortTable(3)">Phone <span class="sort-icon" id="sortIcon3"></span></th>
                    <th onclick="sortTable(4)">Visit Date <span class="sort-icon" id="sortIcon4"></span></th>
                    <th onclick="sortTable(5)">Created At <span class="sort-icon" id="sortIcon5"></span></th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $number = 1;
                while ($fetch = mysqli_fetch_array($result)): ?>
                    <tr>
                        <td><?php echo $number++; ?></td>
                        <td><?php echo htmlspecialchars($fetch['name']); ?></td>
                        <td><?php echo htmlspecialchars($fetch['email']); ?></td>
                        <td><?php echo htmlspecialchars($fetch['phone']); ?></td>
                        <td><?php echo htmlspecialchars($fetch['visit_date']); ?></td>
                        <td><?php echo htmlspecialchars($fetch['created_at']); ?></td>
                        <td>
                            <div style="display: flex; justify-content: center; gap: 10px;">
                                <select id="actionDropdown<?php echo htmlspecialchars($fetch['ID']); ?>" onchange="performVisitorAction(<?php echo htmlspecialchars($fetch['ID']); ?>, this)">
                                    <option value="">Action</option>
                                    <option value="view">View</option>
                                </select>
                            </div>
                        </td>
                    </tr>
                <?php endwhile; ?>
            </tbody>
        </table>
    </div>
    
    <br>
    
    <div>
        <button type="button" id="printButton" onclick="print12()">Print</button>
    </div>

    <script>
        let currentSortColumn = -1;
        let currentSortDirection = 'asc';

        // Sort the table by a given column index
        function sortTable(columnIndex) {
            const table = document.getElementById("visitorsTable");
            const rows = Array.from(table.rows).slice(1); // skip header row
            let sortedRows;

            // Toggle sort direction and update the arrow
            if (currentSortColumn === columnIndex) {
                currentSortDirection = currentSortDirection === 'asc' ? 'desc' : 'asc';
            } else {
                currentSortColumn = columnIndex;
                currentSortDirection = 'asc';
            }

            // Remove previous sort arrow classes
            const headers = table.querySelectorAll('th');
            headers.forEach(header => {
                const icon = header.querySelector('.sort-icon');
                if (icon) {
                    icon.classList.remove('asc', 'desc');
                }
            });

            // Add the new sort arrow class to the clicked column header
            const currentHeader = headers[columnIndex];
            const sortIcon = currentHeader.querySelector('.sort-icon');
            if (currentSortDirection === 'asc') {
                sortIcon.classList.add('asc');
            } else {
                sortIcon.classList.add('desc');
            }

            sortedRows = rows.sort((rowA, rowB) => {
                const cellA = rowA.cells[columnIndex].textContent.trim();
                const cellB = rowB.cells[columnIndex].textContent.trim();

                return currentSortDirection === 'asc'
                    ? cellA.localeCompare(cellB)
                    : cellB.localeCompare(cellA);
            });

            // Rebuild the table with sorted rows
            table.tBodies[0].append(...sortedRows);
        }

        // Filter the table rows based on the search input
        function filterTable() {
            const input = document.getElementById("globalSearch");
            const filter = input.value.toUpperCase();
            const table = document.getElementById("visitorsTable");
            const tr = table.getElementsByTagName("tr");

            for (let i = 1; i < tr.length; i++) {
                const tds = tr[i].getElementsByTagName("td");
                let found = false;

                for (let j = 0; j < tds.length; j++) {
                    if (tds[j] && tds[j].textContent.toUpperCase().indexOf(filter) > -1) {
                        found = true;
                        break;
                    }
                }

                tr[i].style.display = found ? "" : "none";
            }
        }

        function print12() {
            window.print();
        }

        // Toggle column visibility
        function toggleColumn(index) {
            const table = document.getElementById("visitorsTable");
            const cells = table.getElementsByTagName("tr");
            const isChecked = event.target.checked;

            for (let i = 0; i < cells.length; i++) {
                const cell = cells[i].getElementsByTagName("td")[index] || cells[i].getElementsByTagName("th")[index];
                if (isChecked) {
                    cell.style.display = '';
                } else {
                    cell.style.display = 'none';
                }
            }
        }

        // Perform visitor action
        function performVisitorAction(id, selectElement) {
            const action = selectElement.value;
            if (!action) return;

            if (action === 'view') {
                window.location.href = `view_walkin_visitor_0.php?id=${id}`;
            }

            selectElement.value = "";
        }

        // Toggle dropdown for column selection
        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }

        // Close the dropdown if clicked outside
        window.onclick = function(event) {
            if (!event.target.matches('.dropdown button')) {
                const dropdowns = document.getElementsByClassName("dropdown-content");
                for (let i = 0; i < dropdowns.length; i++) {
                    const openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        };
    </script>
</body>
</html>