<?php
header('Content-Type: application/json');

// Include database connection
include 'dbconn.php';

$data = json_decode(file_get_contents("php://input"), true);

if (isset($data['Visitor_ID']) && isset($data['arrival_time'])) {
    $visitorID = $data['Visitor_ID'];
    $passNo = $data['pass_no'];
    $arrivalTime = $data['arrival_time'];
    $status = $data['status'];

    // Insert arrival data into your database
    $sql = "UPDATE visitor_details SET arrival_time = ?, status = ? WHERE Visitor_ID = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssi", $arrivalTime, $status, $visitorID);

    if ($stmt->execute()) {
        echo json_encode(["success" => true]);
    } else {
        echo json_encode(["success" => false, "error" => $stmt->error]);
    }
} else {
    echo json_encode(["success" => false, "error" => "Missing data."]);
}

$stmt->close();
$conn->close();
?>
