<?php
include('dbconn.php');

// Handle actions from the dropdown
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['action'])) {
    $id = $_POST['id'];
    $action = $_POST['action'];

    if ($action === 'toggle') {
        // Fetch the current status from the database
        $result = mysqli_query($db, "SELECT status FROM meeting_rooms WHERE id='$id'");
        $meeting_room = mysqli_fetch_assoc($result);
        
        if ($meeting_room) {
            $current_status = $meeting_room['status'];
            // Toggle the status
            $new_status = ($current_status === 'active') ? 'inactive' : 'active';

            // Update the database
            $sql = "UPDATE meeting_rooms SET status='$new_status', updated_at=NOW(), updated_by='admin' WHERE id='$id'";
            mysqli_query($db, $sql);
        }
    } elseif ($action === 'edit') {
        // Redirect to the edit page
        header("Location: edit_meeting_room.php?id=$id");
        exit();
    }
}

// Fetch all meeting rooms
$sql = "SELECT * FROM meeting_rooms";
$query = mysqli_query($db, $sql);
$meeting_rooms = mysqli_fetch_all($query, MYSQLI_ASSOC);
?>

<!DOCTYPE html>
<html>
<head>
    <title>Meeting Rooms Management</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
         /* Table Styling */
        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
            border: 2px solid grey; /* Add grey border */
            margin-left: 14%;
        }

        td, th {
            text-align: center;
            padding: 10px;
            font-size: 11px;
            border: 1px solid #ddd;
        }

        th {
            background-color: #f2f2f2;
            color: #333;
            font-weight: bold;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
             color: #333;
        }
        
          tr:nth-child(odd) {
            background-color: #fff;
             color: #333;
        }


        tr:hover {
            background-color: #f1f1f1;
        }
        
        
         /* Search Bar and Column Toggle Container */
        .search-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
            margin-left:10%;
        }

        #globalSearch {
            padding: 8px;
            width: 79%;
            margin-right: 10px;
            border: 1px solid #333;
            border-radius: 5px;
            font-size: 14px;
        }
        
         #globalSearch:focus {
            border-color: #0056b3;
        }

        button {
            margin-top: 20px;
            padding: 10px 15px;
            background-color: skyblue;
            color: white;
            border: none;
            cursor: pointer;
            position: relative;
            z-index: 10;
        }
        .filter-container {
            margin: 20px;
        }
        .dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 40px;
            margin-right: 9%;
        }
      .dropdown button {
            padding: 8px 16px;
            background-color:#0066cc;
            color: white;
            border: none;
            cursor: pointer;
            font-size: 14px;
            text-align: center;
            width: 150px;
        }

        /* Dropdown content (hidden by default) */
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
            border-radius: 4px;
        }

        .dropdown-content label {
            display: flex;
            align-items: center;
            padding: 8px 16px;
            cursor: pointer;
        }

        /* Checkbox styling */
        .dropdown-content input[type="checkbox"] {
            margin-right: 8px;
            accent-color: #4CAF50;
        }

        /* Hover effect on dropdown items */
        .dropdown-content label:hover {
            background-color: #ddd;
        }
        .show {
            display: block;
        }
        input[type="text"] {
            padding: 10px;
            width: 300px;
            margin-bottom: 20px;
            border: 2px solid #333;
            border-radius: 5px;
            font-size: 16px;
            background-color: #fff;
            color: #333;
        }
        #printButton, #createButton {
            padding: 10px 20px;
            font-size: 14px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
        }
        #printButton:hover, #createButton:hover {
            background-color: #444;
        }
       
        .table-container {
            max-width: 100%;
            overflow-y: hidden;
            overflow-x: auto;
            margin: 0 auto; 
            border-radius: 5px; 
            background-color: rgba(255, 255, 255, 0.1);
        }
        table {
            width: 10%;
            border-collapse: collapse; 
        }
        th, td {
            padding: 8px; 
            text-align: left; 
            white-space: nowrap; 
        }
        
         /* Sort Icon Styles */
        .sort-icon {
            display: inline-block;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            margin-left: 5px;
            vertical-align: middle;
        }

        /* Upward arrow (ascending) */
        .sort-icon.asc {
            border-bottom: 6px solid #4CAF50;
        }

        /* Downward arrow (descending) */
        .sort-icon.desc {
            border-top: 6px solid #4CAF50;
        }

        
        /* Hover effect for table headers */
        th:hover {
            cursor: pointer;
            background-color: #e2e2e2;
        }

        select {
        padding: 10px;
        font-size: 12px;
        border: 2px solid #333;
        border-radius: 5px;
        background-color: #fff;
        color: #333;
        cursor: pointer;
        width: 100px; /* Set a fixed width for all dropdowns */
        }

        select option {
            padding: 10px;
            background-color: #fff;
            color: #333;
        }

        .select-container {
            display: flex;
            justify-content: center;
            gap: 10px; /* Space between dropdowns */
        }


        select:hover {
            border-color: #0066cc;
        }

        select:focus {
            outline: none;
            border-color: #0066cc;
        }

        @media print {
           body * {
                visibility: hidden;
            }
        
            table, table * {
                visibility: visible;
            }
        
            /* Hide the action column during printing */
            .action-column,
            .print-hide {
                display: none;
            }
        
            table {
                position: relative;
                width: 100%;
                left: 0;
                top: 0;
                margin-left: -15px;
            }
        }

    </style>
</head>
<body>
     <h2>Location</h2>
     <br>

<!-- Search and Column Toggle Container -->
    <div class="search-container">
        <!-- Search Bar -->
       <input type="text" id="globalSearch" placeholder="Search in table..." onkeyup="filterTable()">


<div class="dropdown">
    <button onclick="toggleDropdown()">Toggle Columns</button>
    <div id="myDropdown" class="dropdown-content">
        <label><input type="checkbox" checked onchange="toggleColumn(0)"> ID</label>
        <label><input type="checkbox" checked onchange="toggleColumn(1)"> Meeting Room</label>
        <label><input type="checkbox" checked onchange="toggleColumn(2)"> Status</label>
        <label><input type="checkbox" checked onchange="toggleColumn(3)"> Created Date</label>
        <label><input type="checkbox" checked onchange="toggleColumn(4)"> Created By</label>
        <label><input type="checkbox" checked onchange="toggleColumn(5)"> Updated Date</label>
        <label><input type="checkbox" checked onchange="toggleColumn(6)"> Updated By</label>
        <label><input type="checkbox" checked onchange="toggleColumn(7)"> Action</label>
    </div>
</div>
 </div>

<table id="inquiryTable">
        <tr>
            <th onclick="sortTable(0)">No. <span id="sort-icon-0" class="sort-icon"></span></th>
            <th onclick="sortTable(1)">Location <span id="sort-icon-1" class="sort-icon"></span></th>
            <th onclick="sortTable(2)">Status <span id="sort-icon-2" class="sort-icon"></span></th>
            <th onclick="sortTable(3)">Created Date <span id="sort-icon-3" class="sort-icon"></span></th>
            <th onclick="sortTable(4)">Created By <span id="sort-icon-4" class="sort-icon"></span></th>
            <th onclick="sortTable(5)">Updated Date <span id="sort-icon-5" class="sort-icon"></span></th>
            <th onclick="sortTable(6)">Updated By <span id="sort-icon-6" class="sort-icon"></span></th>
            <th class="print-hide">Action</th>
        </tr>
    <?php 
    $counter = 1; // Initialize a counter
    foreach ($meeting_rooms as $meeting_room): ?>
    <tr>
        <td><?php echo $counter++; ?></td> <!-- Display the counter -->
        <td><?php echo htmlspecialchars($meeting_room['type_name']); ?></td>
        <td>
            <?php if ($meeting_room['status'] === 'active'): ?>
                <i class="fas fa-check-circle" style="color: green;"></i>
                <span style="color: black;">Active</span>
            <?php else: ?>
                <i class="fas fa-times-circle" style="color: red;"></i>
                <span style="color: black;">Inactive</span>
            <?php endif; ?>
        </td>
        <td><?php echo htmlspecialchars($meeting_room['created_at']); ?></td>
        <td><?php echo htmlspecialchars($meeting_room['created_by']); ?></td>
        <td><?php echo htmlspecialchars($meeting_room['updated_at']); ?></td>
        <td><?php echo htmlspecialchars($meeting_room['updated_by']); ?></td>
        <td class="action-column print-hide">
            <select id="actionDropdown<?php echo $meeting_room['id']; ?>" onchange="performAction(<?php echo $meeting_room['id']; ?>, this)">
                <option value="" disabled selected>Action</option>
                <option value="toggle"><?php echo $meeting_room['status'] === 'active' ? 'Deactivate' : 'Activate'; ?></option>
                <!-- <option value="edit">Edit</option> -->
            </select>
        </td>
    </tr>
    <?php endforeach; ?>
</table>


<form action="">
    <button type="button" id="createButton" onclick="addMeetingRoom()">Add</button>
    <button type="button" id="printButton" onclick="print12()">Print</button>
</form>

<script type="text/javascript">
function performAction(id, selectElement) {
    const action = selectElement.value;

    switch (action) {
        case 'edit':
            editMeetingRoom(id);
            break;
        case 'toggle':
            toggleMeetingRoom(id);
            break;
        default:
            console.log("No action selected.");
    }
    selectElement.value = ""; // Reset the dropdown
    }
    
    function editMeetingRoom(id) {
        window.location.href = "edit_meeting_room.php?id=" + id;
    }
    
    function addMeetingRoom() {
        window.location.href = "add_meeting_room.php"; // Adjusted to the add meeting room page
    }
   function print12() {
    // Hide all non-table elements before printing
    const nonTableElements = document.querySelectorAll('body *:not(#inquiryTable):not(#inquiryTable *)');
    nonTableElements.forEach(element => {
        element.style.visibility = 'hidden';
    });

    // Trigger the print dialog
    window.print();

    // Restore visibility of the hidden elements after printing
    setTimeout(() => {
        nonTableElements.forEach(element => {
            element.style.visibility = '';
        });
    }, 500); // Restore after print dialog is triggered
}


     let sortDirection = { 0: 'asc', 1: 'asc', 2: 'asc', 3: 'asc', 4: 'asc', 5: 'asc', 6: 'asc' };

        function sortTable(columnIndex) {
            const table = document.getElementById("inquiryTable");
            const rows = Array.from(table.getElementsByTagName("tr")).slice(1); // Get all rows except the header row
            const arrow = document.getElementById(`sort-icon-${columnIndex}`);
            const direction = sortDirection[columnIndex];

            rows.sort((rowA, rowB) => {
                const cellA = rowA.cells[columnIndex].innerText.toLowerCase();
                const cellB = rowB.cells[columnIndex].innerText.toLowerCase();

                if (direction === 'asc') {
                    return cellA > cellB ? 1 : cellA < cellB ? -1 : 0;
                } else {
                    return cellA < cellB ? 1 : cellA > cellB ? -1 : 0;
                }
            });

            rows.forEach(row => table.appendChild(row)); // Reattach rows in sorted order

            // Toggle sort direction
            sortDirection[columnIndex] = direction === 'asc' ? 'desc' : 'asc';
            updateSortIcons(columnIndex);
        }

        function updateSortIcons(columnIndex) {
            const icons = document.querySelectorAll('.sort-icon');
            icons.forEach(icon => icon.classList.remove('asc', 'desc'));

            const icon = document.getElementById(`sort-icon-${columnIndex}`);
            icon.classList.add(sortDirection[columnIndex]);
        }

        function toggleMeetingRoom(id) {
            const form = document.createElement('form');
            form.method = 'POST';
            form.action = window.location.href;
        
            const inputId = document.createElement('input');
            inputId.type = 'hidden';
            inputId.name = 'id';
            inputId.value = id;
        
            const inputAction = document.createElement('input');
            inputAction.type = 'hidden';
            inputAction.name = 'action';
            inputAction.value = 'toggle';
        
            form.appendChild(inputId);
            form.appendChild(inputAction);
            document.body.appendChild(form);
            form.submit(); // Submit the form
        }
        
        function filterTable() {
            const input = document.getElementById("globalSearch");
            const filter = input.value.toLowerCase();  // Get search term and convert it to lowercase
            const table = document.getElementById("inquiryTable");  // Reference the correct table
            const rows = table.getElementsByTagName("tr");  // Get all rows in the table
        
            // Loop through all rows (starting from the second row, which is data rows)
            for (let i = 1; i < rows.length; i++) {
                const cells = rows[i].getElementsByTagName("td");  // Get all cells in the row
                let found = false;  // Flag to check if any cell contains the search term
        
                // Loop through each cell in the row
                for (let j = 0; j < cells.length; j++) {
                    const txtValue = cells[j].textContent || cells[j].innerText;  // Get cell text
                    if (txtValue.toLowerCase().indexOf(filter) > -1) {  // Check if the search term is in the cell
                        found = true;
                        break;  // Exit the loop if the search term is found
                    }
                }
        
                // Show or hide the row based on whether the search term was found in any cell
                rows[i].style.display = found ? "" : "none";
            }
        }
        
        
        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }
        
        function toggleColumn(index) {
            const table = document.getElementById("inquiryTable");
            const rows = table.getElementsByTagName("tr");
        
            for (let i = 0; i < rows.length; i++) {
                const cells = rows[i].getElementsByTagName("th").length ? rows[i].getElementsByTagName("th") : rows[i].getElementsByTagName("td");
                if (cells[index]) {
                    cells[index].style.display = cells[index].style.display === "none" ? "" : "none"; // Toggle display
                }
            }
        }
        
        // Close the dropdown if clicked outside
        window.onclick = function(event) {
            if (!event.target.matches('.dropdown button')) {
                const dropdowns = document.getElementsByClassName("dropdown-content");
                for (let i = 0; i < dropdowns.length; i++) {
                    const openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        };
</script>

</body>
</html>
