<?php
// Include database connection
include 'dbconn.php';
session_start();

// Check if user is logged in
if (!isset($_SESSION['user_id']) || !isset($_SESSION['user_email'])) {
    header("Location: login_1.php"); // Redirect to login page if not logged in
    exit();
}

// Get the logged-in user's email from the session
$userEmail = $_SESSION['user_email'];

// Prepare the SQL query to get visitor requests for the logged-in user
$query = "SELECT * FROM `inquery` WHERE `Email` = ? ORDER BY `Date` DESC";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $userEmail);

// Execute the query
$stmt->execute();
$result = $stmt->get_result();

// Check if there are any visitor requests for this user
if ($result->num_rows > 0) {
    echo "<h2>My Visitor Pass History</h2>";
    echo "<table border='1'>";
    echo "<tr>
            <th>Name</th>
            <th>Email</th>
            <th>In Time</th>
            <th>Out Time</th>
            <th>Status</th>
            <th>Actions</th>
          </tr>";

    // Fetch and display each visitor request
    while ($row = $result->fetch_assoc()) {
        echo "<tr>
                <td>" . htmlspecialchars($row['Name']) . "</td>
                <td>" . htmlspecialchars($row['Email']) . "</td>
                <td>" . htmlspecialchars($row['In_Time']) . "</td>
                <td>" . htmlspecialchars($row['Out_Time']) . "</td>
                <td>" . htmlspecialchars($row['status']) . "</td>
                <td>
                    <button onclick=\"viewRequest(" . htmlspecialchars($row['Id']) . ")\">View</button>
                </td>
              </tr>";
    }

    echo "</table>";
} else {
    echo "<p>No visitor requests found for this user.</p>";
}

// Close the statement and connection
$stmt->close();
$conn->close();
?>

<script>
// Function to view details of a specific request
function viewRequest(requestId) {
    window.location.href = "request_details.php?id=" + requestId;
}
</script>
