<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visitor Details</title>
    <style>
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            color: white;
        }
        table {
            border-collapse: collapse;
            margin: 20px auto;
            width: 90%;
        }

        td, th {
            text-align: center;
            height: 50px;
            width: 200px;
            padding: 10px;
        }

        th {
            font-family: 'Poppins', sans-serif; 
            font-size: 23px;
            color: white;
            white-space: nowrap;
        }

        tr:hover {
            background-color: rgba(249, 249, 249, 0.5);
        }

        img {
            border: none;
            border-radius: 0;
        }
       
        button {
            margin-top: 20px;
            padding: 10px 15px;
            background-color: skyblue;
            color: white;
            border: none;
            cursor: pointer;
        }
        .filter-container {
            margin: 20px;
        }
        .dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 20px;
        }
        .dropdown button {
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
        }
        .dropdown button:hover {
            background-color: #444;
        }
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
        }
        .dropdown-content label {
            display: flex; /* Use flexbox for alignment */
            align-items: center; /* Center items vertically */
            justify-content: flex-start; /* Align items to the left */
            padding: 8px 16px; /* Padding for spacing */
            cursor: pointer;
            background-color: white;
            color: black;
            text-align: left; /* Left-align the text */
        }

        .dropdown-content label:hover {
            background-color: #ddd;
        }
        .show {
            display: block;
        }
        input[type="text"] {
            padding: 10px;
            width: 300px;
            margin-bottom: 20px;
            border: 2px solid #333;
            border-radius: 5px;
            font-size: 16px;
            background-color: #fff;
            color: #333;
        }

        #printButton, #createButton {
            padding: 10px 20px;
            font-size: 16px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
        }

        #printButton:hover {
            background-color: #444;
        }

        #createButton:hover {
            background-color: #444;
        }

        @media print {
            body * {
                visibility: hidden;
            }
            #inquiryTable, #inquiryTable * {
                visibility: visible;
            }
            #inquiryTable {
                position: absolute;
                left: 0;
                top: 0;
            }
        }

        .table-container {
            max-width: 100%; /* Maximum width of the container */
            overflow-y: hidden; /* Remove vertical scrollbar */
            overflow-x: auto; /* Allow horizontal scroll */
            margin: 0 auto; /* Center the container */
            border-radius: 5px; /* Rounded corners for aesthetics */
            background-color: rgba(255, 255, 255, 0.1); /* Background color for contrast */
        }

        table {
            width: 100%; /* Ensure table takes full width of the container */
            border-collapse: collapse; /* Avoid spacing between cells */
        }

        th, td {
            padding: 8px; /* Padding within cells */
            text-align: left; /* Align text to the left */
            white-space: nowrap; /* Avoid text wrapping */
        }

        select {
        width: 150px; /* Adjust width as needed */
        padding: 10px;
        border-radius: 5px;
        border: 1px solid #ccc;
        background-color: #f9f9f9;
        cursor: pointer;
        font-size: 16px;
        transition: border-color 0.3s;
    }
    
        select:hover {
            border-color: #007BFF; /* Change border color on hover */
        }

        select:focus {
            outline: none; /* Remove default focus outline */
            border-color: #007BFF; /* Change border color when focused */
            box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Add shadow effect */
        }
    </style>
</head>
<body>

    <?php
        // Check if the message is set in the URL
        if (isset($_GET['message'])) {
            echo "<script>alert('" . htmlspecialchars($_GET['message']) . "');</script>";
        }
        include('dbconn.php');

        // SQL query to fetch inquiry details including Status
        // SQL query to fetch inquiry details
        $sql = "SELECT ID, Name, Email, Gender, Phone, Department, Person_Meet, Visitor_Type, Vehicle_Reg_No, Purpose, Meeting_Room, Approver, Image, In_Time, Out_Time, Date, Status 
        FROM inquery 
        WHERE Approver BETWEEN 1 AND 40"; // Checks if Approver is between 1 and 40

        $query = mysqli_query($db, $sql);
    ?>

    <input type="text" id="searchInput" onkeyup="searchTable()" placeholder="Search for names, IDs, etc.">
    
    <div class="dropdown">
        <button onclick="toggleDropdown()">Toggle Columns</button>
        <div id="myDropdown" class="dropdown-content">
            <label><input type="checkbox" checked onchange="toggleColumn(0)"> ID</label>
            <label><input type="checkbox" checked onchange="toggleColumn(1)"> Name</label>
            <label><input type="checkbox" checked onchange="toggleColumn(2)"> Email</label>
            <label><input type="checkbox" checked onchange="toggleColumn(3)"> Gender</label>
            <label><input type="checkbox" checked onchange="toggleColumn(4)"> Phone</label>
            <label><input type="checkbox" checked onchange="toggleColumn(5)"> Department</label>
            <label><input type="checkbox" checked onchange="toggleColumn(6)"> Person to Meet</label>
            <label><input type="checkbox" checked onchange="toggleColumn(7)"> Visitor Type</label>
            <label><input type="checkbox" checked onchange="toggleColumn(8)"> Vehicle Registration Number</label>
            <label><input type="checkbox" checked onchange="toggleColumn(9)"> Purpose</label>
            <label><input type="checkbox" checked onchange="toggleColumn(10)"> Meeting Room</label>
            <label><input type="checkbox" checked onchange="toggleColumn(11)"> Approver</label>
            <label><input type="checkbox" checked onchange="toggleColumn(12)"> Image</label>
            <label><input type="checkbox" checked onchange="toggleColumn(13)"> In Time</label>
            <label><input type="checkbox" checked onchange="toggleColumn(14)"> Out Time</label>
            <label><input type="checkbox" checked onchange="toggleColumn(15)"> Date</label>
            <label><input type="checkbox" checked onchange="toggleColumn(15)"> Status</label>
            <label><input type="checkbox" checked onchange="toggleColumn(16)"> Action</label>
        </div>
    </div>

    <form action="">
        <button type="button" id="createButton" onclick="createVisitor()">Create</button>
        <button type="button" id="printButton" onclick="print12()">Print</button>
    </form>

    <div class="table-container">
        <table id='inquiryTable'>
            <tr>
            <th style="display: table-cell; color: white; font-size: 21px;">No.</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Name</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Email</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Gender</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Phone</th>
            
            <th style="display: table-cell; color: white; font-size: 21px;">Approver</th>
            <!-- <th style="display: table-cell; color: white; font-size: 21px;">Image</th> -->
            <th style="display: table-cell; color: white; font-size: 21px;">In Time</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Out Time</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Date</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Status</th>
            <th style="display: table-cell; color: white; font-size: 21px;">Action</th>


            </tr>

            <?php 
            $number = 1; // Initialize a number variable
            while ($fetch = mysqli_fetch_array($query)): ?>
                <tr>
                    <td><?php echo $number++; ?></td>
                    <td><?php echo htmlspecialchars($fetch['Name']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Email']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Gender']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Phone']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Department']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Person_Meet']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Visitor_Type']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Vehicle_Reg_No']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Purpose']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Meeting_Room']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Approver']); ?></td>
                    <!-- <td><img src="<?php echo htmlspecialchars($fetch['Image']); ?>" alt="Image" width="100" height="100"></td> -->
                    <td><?php echo htmlspecialchars($fetch['In_Time']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Out_Time']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Date']); ?></td>
                <td><?php echo htmlspecialchars($fetch['Status']); ?></td> <!-- Display Status here -->
                <td>
    <div style='display: flex; justify-content: center; gap: 10px;'>
        <select id="actionDropdown<?php echo htmlspecialchars($fetch['ID']); ?>" 
                onchange="performVisitorAction(<?php echo htmlspecialchars($fetch['ID']); ?>, this)"
                style="width: 100px; /* Adjust width as needed */ 
                       padding: 7px; 
                       border-radius: 5px; 
                       border: 1px solid #ccc; 
                       background-color: #f9f9f9; 
                       cursor: pointer; 
                       font-size: 16px; 
                       transition: border-color 0.3s;">
            <option value="">Action</option>
            <option value="view">View</option>

          
            
            <?php if ($fetch['Status'] === 'pending'): ?>
                <option value="approve">Approve</option>
                <option value="reject">Reject</option>
            <?php elseif ($fetch['Status'] === 'approved'): ?>
                <?php if (!empty($fetch['Image'])): ?>
                    <option value="checkIn">Check-In</option>
                <?php endif; ?>
                <?php if (empty($fetch['Out_Time'])): ?>
                    <option value="checkOut">Check-Out</option>
                <?php endif; ?>
            <?php endif; ?>
        </select>
    </div>
</td>
            </tr>
        <?php endwhile; ?>
        </table>
    </div>

    <script>
        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }

        window.onclick = function(event) {
            if (!event.target.matches('.dropdown button')) {
                var dropdowns = document.getElementsByClassName("dropdown-content");
                for (var i = 0; i < dropdowns.length; i++) {
                    var openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        }

        function toggleColumn(columnIndex) {
            const table = document.getElementById("inquiryTable");
            const rows = table.rows;

                       for (let i = 0; i < rows.length; i++) {
                let cells = rows[i].getElementsByTagName("td")[columnIndex] || rows[i].getElementsByTagName("th")[columnIndex];
                if (cells.style.display === "none") {
                    cells.style.display = "table-cell";
                } else {
                    cells.style.display = "none";
                }
            }
        }

        function searchTable() {
            let input, filter, table, tr, td, i, txtValue;
            input = document.getElementById("searchInput");
            filter = input.value.toUpperCase();
            table = document.getElementById("inquiryTable");
            tr = table.getElementsByTagName("tr");
            for (i = 1; i < tr.length; i++) {
                tr[i].style.display = "none"; 
                let tds = tr[i].getElementsByTagName("td");
                for (let j = 0; j < tds.length; j++) {
                    if (tds[j]) {
                        txtValue = tds[j].textContent || tds[j].innerText;
                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                            break;
                        }
                    }
                }
            }
        }

        function performVisitorAction(id, selectElement) {
        const action = selectElement.value; // Get the selected value

        switch (action) {
            case 'view':
                window.location.href = `approval_display_detail_0.php?action=approve&id=${id}`;
                selectElement.value = ""; // Reset the dropdown to "Action"
                break;
            case 'approve':
                window.location.href = `visitor_action.php?action=approve&id=${id}`;
                selectElement.value = ""; // Reset the dropdown to "Action"
                break;
            case 'reject':
                window.location.href = `visitor_action.php?action=reject&id=${id}`;
                selectElement.value = ""; // Reset the dropdown to "Action"
                break;
            case 'checkIn':
                if (confirm("Are you sure you want to check in?")) {
                window.location.href = `admin_updatepass_0.php?action=reject&id=${id}`;
                selectElement.value = ""; // Reset the dropdown to "Action"
                break;
                }
            case 'checkOut':
                checkOut(id);
                selectElement.value = ""; // Reset the dropdown to "Action"
                break;
            default:
                break; // No action selected
        }
    }
    </script>
</body>
</html>


