<!DOCTYPE html>
<html>
<head>
  <title>Report</title>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/themes/redmond/jquery-ui.css">
  <style type="text/css">
    body {
            margin: 0;
            background-image: url(assets/img/bgredbrown.png);
            background-size: cover;
            font-family: 'Poppins', sans-serif;
            color: #333;
        }

        .container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        .card {
            background: #ffffff; /* Soft white card */
            border-radius: 15px; /* More rounded corners */
            box-shadow: 0 8px 25px rgba(0, 0, 0, 0.15); /* Softer shadow for depth */
            padding: 30px;
            width: 400px;
            text-align: center;
            margin-bottom: 150px;
            transition: transform 0.3s ease; /* Smooth hover effect */
            border: 2px solid #ddd; 
        }

        .card:hover {
            transform: translateY(-10px); /* Slight hover effect */
        }

        h1 {
            margin-bottom: 20px;
        }

        label {
          font-size: 20px;
          color: #333; /* Dark text for contrast */
          display: block; /* Ensure labels are on new lines */
          margin: 15px 0 5px; /* Spacing around labels */
        }
    
        input[type="date"] {
          width: calc(100% - 20px); /* Full width minus padding */
          border-radius: 5px; 
          border: 1px solid #ccc; 
          padding: 10px; 
          font-size: 16px; 
          margin-bottom: 15px; /* Spacing below each input */
          box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
        }
    
        input[type="date"]:focus {
          border-color: #007BFF; 
          outline: none; 
          box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
        }
    
       
        input[type="text"] {
                width: calc(100% - 32px);
                height: 40px;
                border-radius: 8px;
                border: 1px solid #ccc; /* Soft border */
                padding: 16px;
                margin-top: 10px;
                background-color: #f9f9f9;
                font-family: 'Poppins', sans-serif;
                color: #333;
                box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1); /* Subtle input shadow */
            }

        input[type="submit"] {
            padding: 12px 30px;
            width: 40%;
            height: 44px;
            border-radius: 8px;
            border: none;
            background-color: #0066cc;
            cursor: pointer;
            color: white;
            font-size: 16px;
            font-family: 'Poppins', sans-serif;
            margin-top: 20px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2); /* Button shadow */
            transition: background-color 0.3s ease, box-shadow 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: grey; /* Slightly darker on hover */
            box-shadow: 0 6px 15px rgba(0, 0, 0, 0.3); /* Deeper shadow on hover */
        }

		.bevel.tlbr
		{
			margin:0px;
			background: #f2f2f2;
		}
  </style>
</head>
<body>
  <div class="container">
    <div class="card">
      <h1>Report</h1>
      <form action="report.php" method="post" target="_blank">
        <label for="from">From:</label>
        <input type="date" name="from" id="from" required>
        
        <label for="to">To:</label>
        <input type="date" name="to" id="to" required>
        
        <input type="submit" value="Check">
      </form>
    </div>
  </div>
</body>
</html>
