// request_details.php example (simplified)
<?php
include 'dbconn.php';
session_start();

// Ensure user is logged in
if (!isset($_SESSION['user_id']) || !isset($_SESSION['user_email'])) {
    header("Location: login_1.php"); // Redirect to login page if not logged in
    exit();
}

// Get the request ID from the URL
$requestId = $_GET['id'];

// Prepare SQL query to fetch the request details for this user
$query = "SELECT * FROM `inquery` WHERE `Id` = ? AND `Email` = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("is", $requestId, $_SESSION['user_email']);
$stmt->execute();
$result = $stmt->get_result();

// Check if the request exists and belongs to the user
if ($result->num_rows > 0) {
    $request = $result->fetch_assoc();
    // Display request details here...
    echo "<h2>Visitor Request Details</h2>";
    echo "Name: " . htmlspecialchars($request['Name']) . "<br>";
    echo "In Time: " . htmlspecialchars($request['In_Time']) . "<br>";
    echo "Out Time: " . htmlspecialchars($request['Out_Time']) . "<br>";
    echo "Status: " . htmlspecialchars($request['status']) . "<br>";
} else {
    echo "No details found or you do not have permission to view this request.";
}

// Close the statement and connection
$stmt->close();
$conn->close();
?>
