<?php
include('dbconn.php'); // Include the database connection file
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Return Access Card</title>
    <style>
        /* General body style */
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f5f5f5;
            color: #333;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        /* Container style for centering the form */
        .container {
            background: #fff;
            padding: 30px;
            border-radius: 8px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 400px;
            text-align: center;
            height: 50vh;
        }

        /* Header styling */
        h2 {
            color: #2c3e50;
            margin-bottom: 20px;
           
        }

        /* Label styling */
        label {
            font-size: 1rem;
            font-weight: 600;
            color: #333;
            margin-bottom: 8px;
            display: block;
        }

        /* Input and select field styles */
        select, button {
            margin-top: 17px;
            width: 100%;
            padding: 12px;
            font-size: 1rem;
            border-radius: 6px;
            border: 1px solid #ccc;
            margin-bottom: 20px;
            background-color: #fafafa;
            transition: all 0.3s ease;
        }

        /* Input and select field focus effect */
        select:focus, button:focus {
            outline: none;
            border-color: #3498db;
            background-color: #fff;
        }

        /* Button style */
        button {
            margin-top: 3px;
            background-color: #3498db;
            color: white;
            font-weight: bold;
            cursor: pointer;
            border: none;
            transition: background-color 0.3s ease;
        }

        /* Button hover effect */
        button:hover {
            background-color: #2980b9;
        }

        /* Button active effect */
        button:active {
            background-color: #1d6ca4;
        }

        /* Error message style */
        .error {
            color: #e74c3c;
            font-size: 0.875rem;
            margin-top: 10px;
        }

        /* Responsive Design */
        @media (max-width: 600px) {
            .container {
                padding: 20px;
                width: 90%;
            }
        }

    </style>
</head>
<body>

    <div class="container">
        <form action="return_card.php" method="POST">
            <h2>Return Access Card</h2>
            <br>
            
            <!-- Access Card Dropdown -->
            <label for="card_number">Select Card to Return:</label>
            <select name="card_number" id="card_number" required>
                <option value="" disabled selected>Select a card to return</option>
                <?php
                // Query to fetch assigned cards
                $result = mysqli_query($db, "SELECT card_number FROM access_cards WHERE status='Assigned'");
                
                if (!$result) {
                    echo "<option disabled>Error fetching cards: " . htmlspecialchars(mysqli_error($db)) . "</option>";
                } elseif (mysqli_num_rows($result) > 0) {
                    // Display each card in the dropdown
                    while ($row = mysqli_fetch_assoc($result)) {
                        echo "<option value='" . htmlspecialchars($row['card_number']) . "'>" . htmlspecialchars($row['card_number']) . "</option>";
                    }
                } else {
                    echo "<option disabled>No assigned cards found</option>";
                }

                mysqli_close($db); // Close the database connection
                ?>
            </select>

            <!-- Submit Button -->
            <button type="submit">Return Card</button>
        </form>
    </div>

</body>
</html>
