<?php
include('dbconn.php');

if (isset($_GET['id'])) {
    $id = intval($_GET['id']); // Sanitize the input

    // Fetch host details
    $sql = "SELECT * FROM visitors WHERE ID = $id";
    $query = mysqli_query($db, $sql);
    
    if ($query && mysqli_num_rows($query) > 0) {
        $visitor = mysqli_fetch_assoc($query);
    } else {
        echo "Visitor not found.";
        exit;
    }

    // Fetch individual visitor details
    $visitorDetailsSql = "SELECT * FROM visitor_details WHERE Visitor_ID = $id"; // Use Visitor_ID to link
    $visitorDetailsQuery = mysqli_query($db, $visitorDetailsSql);
    $visitorDetails = [];
    if ($visitorDetailsQuery) {
        while ($detail = mysqli_fetch_assoc($visitorDetailsQuery)) {
            $visitorDetails[] = $detail;
        }
    }
} else {
    echo "No ID specified.";
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visitor Details</title>
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f8f9fa;
            margin: 0;
            padding: 20px;
            color: #333;
        }
        .form-container {
            max-width: 600px;
            margin: 0 auto;
            background-color: #ffffff;
            padding: 25px;
            border-radius: 10px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            position: relative;
        }
        .form-title {
            background-color: lightgrey;
            color: black;
            padding: 15px;
            text-align: center;
            font-size: 24px;
            font-weight: bold;
            border-radius: 10px 10px 0 0;
            margin-bottom: 20px;
        }
        h4 {
            text-align: left;
            margin: 10px 0;
        }
        p {
            margin: 5px 0;
            font-size: 16px;
            text-align: left;
        }
        .action-btn {
            display: inline-block;
            margin-top: 20px;
            padding: 10px 15px;
            background-color: #007bff; /* Bootstrap primary color */
            color: white;
            text-decoration: none;
            border-radius: 5px;
            transition: background-color 0.3s;
        }
        .action-btn:hover {
            background-color: #0056b3; /* Darker shade for hover */
        }
        .visitor-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        .visitor-table th, .visitor-table td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        .visitor-table th {
            background-color: #f2f2f2;
            color: #333;
        }
        .qr-code {
            text-align: center;
            margin: 20px 0;
        }
        .qr-code img {
            border-radius: 5%;
            width: 100px;
            height: 100px;
        }
        .slip-background {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: rgba(240, 240, 240, 0.1);
            z-index: -1;
            border-radius: 10px;
            filter: blur(15px);
        }
    </style>
</head>
<body>
    <div class="form-container">
        <div class="slip-background"></div>
        <div class="form-title">Visitor QR Code</div>
        <h4>Host/Interviewer Details</h4>
        <p><strong>Host/Interviewer:</strong> <?php echo htmlspecialchars($visitor['Host'] ?? 'N/A'); ?></p>
        <p><strong>Email:</strong> <?php echo htmlspecialchars($visitor['General_Email'] ?? 'N/A'); ?></p>
        <p><strong>Visitor Type:</strong> <?php echo htmlspecialchars($visitor['Visitor_Type'] ?? 'N/A'); ?></p>
        <p><strong>Department:</strong> <?php echo htmlspecialchars($visitor['Department'] ?? 'N/A'); ?></p>
        <p><strong>Meeting Room:</strong> <?php echo htmlspecialchars($visitor['Meeting_Room'] ?? 'N/A'); ?></p>
        <p><strong>Approver:</strong> <?php echo htmlspecialchars($visitor['Approver'] ?? 'N/A'); ?></p>
        <p><strong>Date & Time In:</strong> <?php echo htmlspecialchars($visitor['Plan_Date_Time_In'] ?? 'N/A'); ?></p>
        <p><strong>Date & Time Out:</strong> <?php echo htmlspecialchars($visitor['Plan_Date_Time_Out'] ?? 'N/A'); ?></p>
        
        <div class="visitor-details">
            <h4>Visitor Details</h4>
            <table class="visitor-table">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Phone No</th>
                        <th>QR Code</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($visitorDetails as $detail): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($detail['Name'] ?? 'N/A'); ?></td>
                            <td><?php echo htmlspecialchars($detail['Email'] ?? 'N/A'); ?></td>
                            <td><?php echo htmlspecialchars($detail['Phone'] ?? 'N/A'); ?></td>
                            <td class="qr-code">
                                <?php
                                    $qrData = "Visitor Name: " . (isset($detail['Name']) ? $detail['Name'] : 'N/A') . "\n" .
                                              "Visitor Email: " . (isset($detail['Email']) ? $detail['Email'] : 'N/A') . "\n" .
                                              "Phone No: " . (isset($detail['Phone']) ? $detail['Phone'] : 'N/A');
                                    $qrCodeUrl = "https://api.qrserver.com/v1/create-qr-code/?size=100x100&data=" . urlencode($qrData);
                                ?>
                                <img src="<?php echo $qrCodeUrl; ?>" alt="QR Code">
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <a href="vis_display_0.php" class="action-btn">Back</a>
    </div>
</body>
</html>
