<?php
include 'dbconn.php'; // Include your database connection file

$query = "SELECT * FROM access_cards";
$result = mysqli_query($db, $query);

// Start the table display with enhanced CSS and sort/filter features
echo "<div style='width: 80%; margin: 0 auto; font-family: Arial, sans-serif;'> <!-- Centering the table within a container -->
        <h2>Access Cards</h2>
        <br>

        <!-- Search and Column Toggle Container -->
        <div style='display: flex; justify-content: space-between; align-items: center; margin-bottom: 20px;'>

            <!-- Search Bar -->
            <input type='text' id='globalSearch' placeholder='Search in table...' style='padding: 8px; width: 82%; margin-right: 10px; border-radius: 5px;' onkeyup='filterTable()'>
            
            <!-- Column Toggle Dropdown -->
            <div class='dropdown' style='margin-left: 10px;'>
                <button class='dropdown-btn'>Toggle Columns</button>
                <div class='dropdown-content'>
                    <label><input type='checkbox' id='toggleColumn0' checked onclick='toggleColumn(0)'> No</label>
                    <label><input type='checkbox' id='toggleColumn0' checked onclick='toggleColumn(0)'> Card Number</label>
                    <label><input type='checkbox' id='toggleColumn1' checked onclick='toggleColumn(1)'> Status</label>
                    <label><input type='checkbox' id='toggleColumn2' checked onclick='toggleColumn(2)'> Issued To</label>
                    <label><input type='checkbox' id='toggleColumn3' checked onclick='toggleColumn(3)'> Issue Date</label>
                    <label><input type='checkbox' id='toggleColumn4' checked onclick='toggleColumn(4)'> Return Date</label>
                </div>
            </div>
        </div>

        <table id='dataTable' style='width: 100%; border-collapse: collapse;  border: 2px solid grey;'>
        <thead>
          <tr style='background-color: #f2f2f2; color: #333; font-weight: bold;'>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(0)'>No <span id='sort-icon-0' class='sort-icon'></span></th>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(0)'>Card Number <span id='sort-icon-0' class='sort-icon'></span></th>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(1)'>Status <span id='sort-icon-1' class='sort-icon'></span></th>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(2)'>Issued To <span id='sort-icon-2' class='sort-icon'></span></th>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(3)'>Issue Date <span id='sort-icon-3' class='sort-icon'></span></th>
              <th style='padding: 10px; border: 1px solid #ddd; text-align: left;' onclick='sortTable(4)'>Return Date <span id='sort-icon-4' class='sort-icon'></span></th>
          </tr>
        </thead>
        <tbody>";

$rowCount = 1;
while ($row = mysqli_fetch_assoc($result)) {
    // Alternate row colors based on row count
    $rowColor = ($rowCount % 2 == 0) ? '#f9f9f9' : '#ffffff'; // Light grey for odd rows, white for even rows

    echo "<tr style='background-color: $rowColor;'>
            <td style='padding: 10px; border: 1px solid #ddd;'>$rowCount</td>
            <td style='padding: 10px; border: 1px solid #ddd;'>{$row['card_number']}</td>
            <td style='padding: 10px; border: 1px solid #ddd;'>{$row['status']}</td>
            <td style='padding: 10px; border: 1px solid #ddd;'>{$row['issued_to']}</td>
            <td style='padding: 10px; border: 1px solid #ddd;'>{$row['issue_date']}</td>
            <td style='padding: 10px; border: 1px solid #ddd;'>{$row['return_date']}</td>
          </tr>";
    
    $rowCount++; // Increment the row count
}

echo "</tbody></table></div>"; // Close the div that centers the table

mysqli_close($db); // Close the connection after the query
?>

    <div>
        <button type="button" id="printButton" onclick="print12()">Print</button>
    </div>

<script>
    let sortDirection = [true, true, true, true, true]; // Track sorting direction for each column (ascending or descending)

    let columnVisibility = [true, true, true, true, true]; // Track visibility of each column

    // Sort function for table columns
    function sortTable(colIndex) {
        const table = document.getElementById("dataTable");
        const rows = Array.from(table.rows).slice(1); // Get all rows excluding the header row
        const isAscending = sortDirection[colIndex];

        // Reset all other sort icons
        resetSortIcons();

        // Sort the rows based on the clicked column
        rows.sort((rowA, rowB) => {
            const cellA = rowA.cells[colIndex].innerText.toLowerCase();
            const cellB = rowB.cells[colIndex].innerText.toLowerCase();

            // Compare the cells based on the column index
            if (isAscending) {
                return cellA > cellB ? 1 : (cellA < cellB ? -1 : 0);
            } else {
                return cellA < cellB ? 1 : (cellA > cellB ? -1 : 0);
            }
        });

        // Reverse the sort direction for next time
        sortDirection[colIndex] = !isAscending;

        // Reattach the sorted rows to the table
        rows.forEach(row => table.appendChild(row));

        // Update the sort icon for the current column
        updateSortIcon(colIndex, isAscending);
    }

    // Reset all sort icons
    function resetSortIcons() {
        for (let i = 0; i < 5; i++) {
            const icon = document.getElementById(`sort-icon-${i}`);
            icon.classList.remove('asc', 'desc');
        }
    }

    // Update the sort icon for the given column
    function updateSortIcon(colIndex, isAscending) {
        const icon = document.getElementById(`sort-icon-${colIndex}`);
        if (isAscending) {
            icon.classList.add('asc');
        } else {
            icon.classList.add('desc');
        }
    }

    // Global filter function for the whole table
    function filterTable() {
        const filter = document.getElementById("globalSearch").value.toLowerCase();
        const rows = document.querySelectorAll("#dataTable tbody tr");

        rows.forEach(row => {
            let rowText = row.textContent.toLowerCase();
            if (rowText.indexOf(filter) > -1) {
                row.style.display = "";
            } else {
                row.style.display = "none";
            }
        });
    }
    
    // Print table
    function print12() {
        window.print();
    }

    // Toggle visibility of columns based on checkbox selection
    function toggleColumn(colIndex) {
        const checkBox = document.getElementById(`toggleColumn${colIndex}`);
        const table = document.getElementById("dataTable");
        const cells = table.querySelectorAll(`td:nth-child(${colIndex + 1}), th:nth-child(${colIndex + 1})`);

        // Update column visibility status
        columnVisibility[colIndex] = checkBox.checked;

        cells.forEach(cell => {
            cell.style.display = columnVisibility[colIndex] ? "" : "none";
        });
    }

    // Show the dropdown content
    document.querySelector('.dropdown-btn').addEventListener('click', function() {
        const dropdownContent = document.querySelector('.dropdown-content');
        dropdownContent.style.display = (dropdownContent.style.display === 'block') ? 'none' : 'block';
    });

    // Close the dropdown if the user clicks outside of it
    window.addEventListener('click', function(event) {
        const dropdown = document.querySelector('.dropdown');
        if (!dropdown.contains(event.target)) {
            const dropdownContent = document.querySelector('.dropdown-content');
            dropdownContent.style.display = 'none';
        }
    });
</script>

<style>

      /* Search Bar and Column Toggle Container */
        .search-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
            margin-left:10%;
        }

        #globalSearch {
            padding: 8px;
            width: 79%;
            margin-right: 10px;
            border: 1px solid #333;
            border-radius: 5px;
            font-size: 14px;
        }
        
         #globalSearch:focus {
            border-color: #0056b3;
        }
        
          #printButton{
            padding: 10px 20px;
            font-size: 14px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
        }
        #printButton:hover {
            background-color: #444;
        }


    /* Dropdown container styling */
    .dropdown {
        display: inline-block;
    }

    /* Button inside dropdown */
    .dropdown-btn {
        padding: 8px 16px;
        background-color: #0066cc;
        color: white;
        border: none;
        cursor: pointer;
        font-size: 14px;
        border-radius: 4px;
        text-align: center;
    }

    /* Dropdown content (hidden by default) */
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        z-index: 1;
        border-radius: 4px;
    }

    .dropdown-content label {
        display: flex;
        align-items: center;
        padding: 8px 16px;
        cursor: pointer;
    }

    /* Checkbox styling */
    .dropdown-content input[type="checkbox"] {
        margin-right: 8px;
        accent-color: #4CAF50;
    }

    /* Hover effect on dropdown items */
    .dropdown-content label:hover {
        background-color: #ddd;
    }

    /* Sort icon styles */
    .sort-icon {
        display: inline-block;
        width: 0;
        height: 0;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        margin-left: 5px;
        vertical-align: middle;
    }

    /* Upward arrow (ascending) */
    .sort-icon.asc {
        border-bottom: 6px solid #4CAF50;
    }

    /* Downward arrow (descending) */
    .sort-icon.desc {
        border-top: 6px solid #4CAF50;
    }
    
      /* Print layout */
        @media print {
           body * {
                visibility: hidden;
            }
            table, table * {
                visibility: visible;
            }
            table {
                position: relative;
                width: 100%;
                left: 0;
                top: 0;
            }
        }

</style>
