<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Take Photo</title>
    <style>
        #photo {
            display: none; /* Initially hide the photo */
            width: 180px;
            height: 135px;
            border: 2px solid #000;
        }
    </style>
</head>
<body>
    <video id="video" width="180" height="135" autoplay></video>
   

    <canvas id="canvas" width="180" height="135"></canvas>
    <img id="photo" src="" alt="Captured Photo" />

    <script>
        var video = document.getElementById('video');
        var canvas = document.getElementById('canvas');
        var context = canvas.getContext('2d');

        // Get access to the camera
        function vidOn() {
            if (navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
                navigator.mediaDevices.getUserMedia({ video: true })
                    .then(function(stream) {
                        video.srcObject = stream;
                        video.play();
                    })
                    .catch(function(err) {
                        console.error("Error accessing camera: " + err);
                    });
            }
        }

        function vidOff() {
            video.pause();
            video.srcObject.getTracks().forEach(track => track.stop()); // Stop all video tracks
            video.srcObject = null;
        }

        // Trigger photo take
        document.getElementById("snap").addEventListener("click", function() {
            context.drawImage(video, 0, 0, 180, 135);
            var canvasData = canvas.toDataURL("image/png");
            document.getElementById('photo').src = canvasData; // Set the image source to the captured data
            document.getElementById('photo').style.display = 'none'; // Show the captured photo
            document.getElementById('a').value = canvasData; // Save the image data to the hidden input
        });
    </script>
</body>
</html>
