<?php
// Start the session if not already started
session_start();

// Ensure the user is logged in (optional, depending on your system)
if (!isset($_SESSION['user'])) {
    header('Location: login_1.php'); // Redirect to login page if not logged in
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Thank You - Visitor Registration</title>
    <style>
        /* Reset and default styles */
        body {
            margin: 0;
            padding: 0;
            font-family: 'Poppins', sans-serif;
            background-color: #f4f7fc;
            color: #333;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        /* Main container */
        .thank-you-container {
            background-color: #ffffff;
            padding: 40px;
            border-radius: 10px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            text-align: center;
            max-width: 400px;
            width: 90%;
        }

        /* Heading styles */
        .thank-you-container h1 {
            color: #0066cc;
            font-size: 28px;
            margin-bottom: 20px;
        }

        /* Paragraph styles */
        .thank-you-container p {
            font-size: 16px;
            color: #555;
            line-height: 1.6;
        }

        /* Button styles */
        .thank-you-container a {
            display: inline-block;
            margin-top: 20px;
            padding: 10px 20px;
            font-size: 16px;
            color: #fff;
            background-color: #0066cc;
            border: none;
            border-radius: 5px;
            text-decoration: none;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            transition: background-color 0.3s ease, box-shadow 0.3s ease;
        }

        .thank-you-container a:hover {
            background-color: #0056b3;
            box-shadow: 0 6px 14px rgba(0, 0, 0, 0.2);
        }
    </style>
</head>
<body>

    <div class="thank-you-container">
        <h1>Thank You!</h1>
        <p>The request is now pending approval, and the host will be notified. Please wait for the approval confirmation.</p>
        <a href="admin_createpass_0.php">Go Back</a> <!-- Link to Dashboard or Home -->
    </div>

</body>
</html>
