<?php
include('dbconn.php');

// Set the timezone to Asia/Kuala_Lumpur
date_default_timezone_set('Asia/Kuala_Lumpur');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'];
    $visitorId = $_POST['visitor_id'];

    if ($action === 'checkIn') {
        $arriveTime = date('Y-m-d H:i:s'); // Current timestamp

        // Update Arrive time and status
        $sql = "UPDATE visitor_details 
                SET Arrive = ?, 
                    Leave_Time = NULL, 
                    status = 'arrived' 
                WHERE ID = ?";
        $stmt = $db->prepare($sql);
        $stmt->bind_param("si", $arriveTime, $visitorId);
    } elseif ($action === 'checkOut') {
        $leaveTime = date('Y-m-d H:i:s'); // Current timestamp

        // Update Leave time and status
        $sql = "UPDATE visitor_details 
                SET Leave_Time = ?, 
                    status = 'left' 
                WHERE ID = ?";
        $stmt = $db->prepare($sql);
        $stmt->bind_param("si", $leaveTime, $visitorId);
    }

    if ($stmt->execute()) {
        echo json_encode(['status' => 'success', 'message' => 'Visitor status updated successfully.']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to update visitor status.']);
    }

    $stmt->close();
    $db->close();
}
?>
