<head>
    <title>Visitor Detail</title>
    <style>
        body {
        text-align: center;
        background-color: #282c34;
        background-size: cover;
        background-repeat: no-repeat;
        color: white;
        font-family: Arial, sans-serif;
    }

    table {
        border-collapse: collapse;
        margin: 20px auto;
        width: 90%; 
        max-width: 800px; 
        background-color: #f7f7f7; /* Soft grey background */
        border-radius: 8px; /* Rounded corners */
        overflow: hidden; /* Ensures border radius is applied */
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); /* Subtle shadow */
    }

    td, th {
        text-align: left; 
        padding: 10px;
        color: #333; /* Darker text for contrast */
        border: 1px solid #ddd; /* Light border for cells */
    }

    h3 {
        color: black;
    }

    h1 {
        color: black;
        font-size: 34px;
    }

    img {
        border: none;
        border-radius: 5%;
        
    }

    th {
        font-family: 'Poppins', sans-serif; 
        font-size: 18px;
        color: black;
        background-color: #ccc; /* Grey header background */
        position: relative;
    }

    button {
        margin-top: 20px;
        padding: 10px 15px;
        background-color: skyblue;
        color: white;
        border: none;
        cursor: pointer;
        border-radius: 5px; /* Rounded button corners */
        transition: background-color 0.3s; /* Smooth transition */
    }

    button:hover {
        background-color: #00aaff; /* Lighter on hover */
    }

        #header {
            display: block; 
            margin-bottom: 20px;
        }

        /* New styles for header table */
        #headerTable {
            width: 100%; /* Make the table take full width */
            margin-bottom: 20px;
            display: none; /* Hide by default */
        }

        #headerTable td {
            border: 1px solid transparent; /* Hide borders for header cells */
        }

        @media print {
            #headerTable {
                display: table; /* Show in print */
            }
            
            #sidebar, .sidebar {
                display: none !important; /* Hides the sidebar during print */
            }
            
            body {
                background-color: white !important; /* Ensure background color doesn't interfere in print */
                color: black !important; /* Ensure text is clearly visible */
            }

            #header {
                display: block !important; /* Ensure header appears in print */
            }
            
            table {
                width: 100% !important; /* Ensure table uses full width in print */
                border-radius: 0 !important; /* Remove border radius in print */
            }

            td, th {
                color: black !important; /* Ensure text color prints clearly */
                border: 1px solid black !important; /* Make sure borders are visible */
            }

            img {
                border: none !important; /* Remove image borders for print */
                border-radius: 0 !important; /* Reset border radius in print */
            }
            
            #nonPrintSection {
                display: none !important; /* Hide back and other non-essential sections */
            }
            
            button, input {
                display: none !important; /* Hide buttons in print view */
            }
        }
    </style>
<head>
    <title>Visitor Detail</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f8f9fa;
            color: #333;
            text-align: center;
            padding: 20px;
        }

        table {
            border-collapse: collapse;
            margin: 20px auto;
            width: 90%; 
            max-width: 800px; 
            background-color: #fff; /* White background for table */
            border-radius: 8px; 
            overflow: hidden; 
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        }

        td, th {
            text-align: left; 
            padding: 10px;
            border: 1px solid #ddd; 
        }

        h1 {
            color: #007bff;
            font-size: 34px;
        }

        h3 {
            color: #007bff;
        }

        img {
            border: none;
            border-radius: 5%;
        }

        th {
            font-family: 'Poppins', sans-serif; 
            font-size: 18px;
            color: black;
            background-color: #ccc; 
        }

        button {
            margin-top: 20px;
            padding: 10px 15px;
            background-color: #007bff;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px; 
            transition: background-color 0.3s; 
        }

        button:hover {
            background-color: #0056b3; 
        }

        #header {
            margin-bottom: 20px;
        }

        #headerTable {
            width: 100%; 
            margin-bottom: 20px;
        }

        #headerTable td {
            border: 1px solid transparent; 
        }

        @media print {
            body {
                background-color: white !important; 
                color: black !important; 
            }

            table {
                width: 100% !important; 
                border-radius: 0 !important; 
            }

            td, th {
                color: black !important; 
                border: 1px solid black !important; 
            }

            button {
                display: none !important; 
            }
        }
    </style>
</head>
<body>
    <div id="header">
        <table id="headerTable">
            <tr>
                <td style="text-align: center; width: 80px;">
                    <img src="../images/logo.png" alt="UMEDIC Logo" height="100" width="100">
                </td>
                <td style="color: black; font-family: Arial, sans-serif;">
                    <h3>UMEDIC GROUP BERHAD (1415647-D)</h3>
                    <h3>UMEDIC HEALTHCARE SDN BHD (598175-W)</h3>
                    <h3>UWHM SDN BHD (961995-K)</h3>
                    <p>PMT 790, Jalan Cassia Selatan 5/2, Taman Perindustrian Batu Kawan,<br>
                    14110 Bandar Cassia, Pulau Pinang, Malaysia.<br>
                    T (+6) 04-589 9676 (Ext: 205) | F (+6) 04-589 9677<br>
                    <a href="http://www.umedic.com.my" style="color: skyblue;">www.umedic.com.my</a></p>
                </td>
            </tr>
        </table>
    </div>
    
    <div id="printSection">
        <?php
            include('dbconn.php');

            if (isset($_GET['id'])) {
                $id = intval($_GET['id']); 
                
                $sql = "SELECT * FROM inquery WHERE Id = $id";
                $result = mysqli_query($db, $sql);
                $visitor = mysqli_fetch_array($result);

                if ($visitor) {
                    echo "<h1>Visitor Details</h1>";
                    echo "<table>";
                    foreach ($visitor as $key => $value) {
                        if ($key !== 'Image') { // Skip the image field for this table
                            echo "<tr><th>" . htmlspecialchars(ucwords(str_replace('_', ' ', $key))) . "</th><td>" . htmlspecialchars($value) . "</td></tr>";
                        }
                    }
                    echo "</table>";

                    // QR Code
                    $data = htmlspecialchars(
                        "Name: " . $visitor['Name'] . "\n" .
                        "Email: " . $visitor['Email'] . "\n" .
                        "Gender: " . $visitor['Gender'] . "\n" .
                        "Phone: " . $visitor['Phone'] . "\n" .
                        "Department: " . $visitor['Department'] . "\n" .
                        "Person to Meet: " . $visitor['Person_Meet'] . "\n" .
                        "In Time: " . $visitor['In_Time'] . "\n" .
                        "Out Time: " . $visitor['Out_Time'] . "\n" .
                        "Date: " . $visitor['Date'] . "\n" .
                        "Visitor Type: " . $visitor['Visitor_Type'] . "\n" .
                        "Purpose: " . $visitor['Purpose'] . "\n" .
                        "Meeting Room: " . $visitor['Meeting_Room'] . "\n" .
                        "Vehicle Registration Number: " . $visitor['Vehicle_Reg_No'] . "\n" .
                        "Approver: " . $visitor['Approver']
                    );

                    $qrCodeUrl = "https://api.qrserver.com/v1/create-qr-code/?size=300x300&data=" . urlencode($data);

                    // Display QR code and image
                    echo "<div style='margin: 20px auto; width: 90%; max-width: 800px;'>";
                    echo "<div style='display: flex; justify-content: center; align-items: center;'>";
                    echo "<div style='margin-right: 20px; text-align: center;'>";
                    echo "<h3>QR Code</h3>";
                    echo "<img src='" . $qrCodeUrl . "' alt='QR Code' width='300' height='300'>";
                    echo "</div>";
                    echo "<div style='text-align: center;'>";
                    echo "<h3>Evidence</h3>";
                    echo "<img src='" . htmlspecialchars($visitor['Image']) . "' alt='Evidence' width='300' height='300'>";
                    echo "</div>";
                    echo "</div></div>";

                } else {
                    echo "<p>No details found for this visitor.</p>";
                }
            } else {
                echo "<p>Invalid visitor ID.</p>";
            }
        ?>
    </div>

    <div id="nonPrintSection">
        <?php
        if (isset($_GET['message'])) {
            echo "<p style='color: green;'>" . htmlspecialchars($_GET['message']) . "</p>";
        }
        ?>
    </div>

    <button onclick="window.print();">Print</button>
    <button onclick="window.location.href='admin_pending_approval_0.php';">Back</button>
</body>

