<?php
include('dbconn.php');
session_start();

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "<script>alert('Please log in first.'); location.href='../index.html';</script>";
    exit();
}

// Fetch visitor details if ID is provided
if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
    
    // Fetch the walk-in visitor data
    $visitorQuery = "SELECT * FROM walkin_visitors WHERE ID = $id";
    $visitorResult = mysqli_query($db, $visitorQuery);
    $visitor = mysqli_fetch_assoc($visitorResult);

    if (!$visitor) {
        echo "<script>alert('Visitor not found.'); history.back();</script>";
        exit();
    }

    // Fetch visitor details for additional information
    $visitorDetailsQuery = "SELECT * FROM visitor_details WHERE visitor_id = $id";
    $visitorDetailsResult = mysqli_query($db, $visitorDetailsQuery);
    $visitorDetails = mysqli_fetch_assoc($visitorDetailsResult);
} else {
    echo "<script>alert('No visitor ID specified.'); location.href='index.php';</script>";
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Walk-In Visitor Details</title>
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f5f7fa;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }

        .form-container {
            width: 100%;
            max-width: 600px; /* Max width for the form container */
            background-color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
            margin: auto;
            border: 1px solid #ddd;
        }

        .form-title {
            background-color: #2e4053;
            color: #ffffff;
            padding: 18px;
            text-align: center;
            font-size: 28px;
            font-weight: bold;
            margin-bottom: 20px;
            border-radius: 10px;
            text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
        }

        .form-group {
            display: flex;
            flex-direction: column;
            margin-bottom: 15px;
        }

        .custom-label {
            font-weight: bold;
            margin-bottom: 6px;
            display: block;
            color: #333;
            font-size: 14px;
            text-align: left;
        }

        .form-group input[type="text"],
        .form-group input[type="email"],
        .form-group input[type="tel"],
        .form-group input[type="datetime-local"],
        .form-group select,
        .form-group textarea {
            width: 100%;
            padding: 10px;
            font-size: 14px;
            border: 1px solid #ddd;
            border-radius: 8px;
            background-color: #fafafa;
            transition: all 0.3s ease;
            margin-top: 5px;
        }

        .form-group input[type="text"]:focus,
        .form-group input[type="email"]:focus,
        .form-group input[type="tel"]:focus,
        .form-group input[type="datetime-local"]:focus,
        .form-group select:focus,
        .form-group textarea:focus {
            border-color: #c62828;
            box-shadow: 0 0 8px rgba(198, 40, 40, 0.5);
            outline: none;
        }

        .form-group input,
        .form-group select {
            background-color: #f5f5f5; /* Readonly styling */
        }

        .form-group input[readonly],
        .form-group select[readonly] {
            background-color: #f5f5f5;
            cursor: not-allowed;
        }

        .form-footer {
            text-align: center;
            margin-top: 15px;
            font-size: 12px;
            color: #777;
        }

        .form-footer a {
            color: #c62828;
            text-decoration: none;
        }

        .form-footer a:hover {
            text-decoration: underline;
        }

        hr {
            border: 1px solid #ddd;
            margin: 15px 0;
        }

        /* Responsive design */
        @media (max-width: 768px) {
            .form-container {
                padding: 15px;
            }

            .form-title {
                font-size: 24px;
            }

            .form-group input[type="text"],
            .form-group input[type="email"],
            .form-group input[type="tel"],
            .form-group input[type="datetime-local"],
            .form-group select,
            .form-group textarea {
                font-size: 12px;
                padding: 8px;
            }
        }
    </style>
</head>
<body>

    <div class="form-container">
        <div class="form-title">
            Walk-In Visitor Details
        </div>

        <form>
            <div class="form-group">
                <label class="custom-label" for="name">Name:</label>
                <input type="text" id="name" name="name" value="<?php echo htmlspecialchars($visitor['name']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="email">Email:</label>
                <input type="email" id="email" name="email" value="<?php echo htmlspecialchars($visitor['email']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="phone">Phone Number:</label>
                <input type="tel" id="phone" name="phone" value="<?php echo htmlspecialchars($visitor['phone']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="visitor_type">Visitor Type:</label>
                <input type="text" id="visitor_type" name="visitor_type" value="<?php echo htmlspecialchars($visitor['visitor_type']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="meeting_room">Location:</label>
                <input type="text" id="meeting_room" name="meeting_room" value="<?php echo htmlspecialchars($visitor['meeting_room']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="visit_date">Visit Date and Time:</label>
                <input type="datetime-local" id="visit_date" name="visit_date" value="<?php echo htmlspecialchars($visitor['visit_date']); ?>" readonly>
            </div>

            <div class="form-group">
                <label class="custom-label" for="created_at">Created At:</label>
                <input type="text" id="created_at" name="created_at" value="<?php echo htmlspecialchars($visitor['created_at']); ?>" readonly>
            </div>

            <div class="form-footer">
                <a href="javascript:history.back()">Go Back</a>
            </div>
        </form>
    </div>

</body>
</html>
