<?php
include('dbconn.php');
ob_start();

if (!isset($_SESSION['user'])) {
    header('Location: login_1.php');
    exit;
}

// Fetch visitor data if ID is provided
if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
    $visitorQuery = "SELECT * FROM visitors WHERE ID = $id";
    $visitorResult = mysqli_query($db, $visitorQuery);
    $visitor = mysqli_fetch_assoc($visitorResult);

    // Fetch visitor details
    $visitorDetailsQuery = "SELECT ic, vehicle_reg_no, created_by, created_date, Name, Email, Phone FROM visitor_details WHERE visitor_id = $id";
    $visitorDetailsResult = mysqli_query($db, $visitorDetailsQuery);
    $visitorDetails = mysqli_fetch_all($visitorDetailsResult, MYSQLI_ASSOC);
} else {
    echo "No visitor ID specified.";
    exit;
}

// Get current user and date
$currentUser = $_SESSION['user']; // Assuming the user's name is stored in session
$currentDate = date('Y-m-d'); // Format: YYYY-MM-DD
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visitor Details</title>
    <style>
           body {
            font-family: 'Poppins', sans-serif;
            background-color: #f7f7f7; /* Light grey background */
            margin: 0;
            padding: 0px;
        }
        
        .form-container {
           
            width: 1000px;  /* Ensure it takes the full width available until the max-width */
            background-color: white;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            margin: auto;
            transition: transform 0.3s;
            border: 1px solid #333;
        }

        .form-title {
            background-color: #2e4053;
            color: #ffffff;
            padding: 15px;
            text-align: center;
            font-size: 30px;
            font-weight: bold;
            margin-bottom: 25px;
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
        }

        .label, .custom-label {
            font-weight: bold;
            margin-bottom: 5px;
            display: block;
            color: #333;
            font-size: 14px;
        }

        .styled-textarea {
            flex: 1;
            min-width: 900px; /* Match the width of other inputs */
            padding: 14px;
            border: 2px solid #ddd; /* Light grey border */
            border-radius: 8px;
            font-size: 16px;
            background-color: #f9f9f9; /* Light grey for inputs */
            transition: border-color 0.3s, box-shadow 0.3s;
            resize: vertical; /* Allows vertical resizing */
        }

        .styled-textarea:focus {
            border-color: #c62828; /* Red border on focus */
            box-shadow: 0 0 5px rgba(198, 40, 40, 0.5); /* Subtle shadow */
            outline: none;
        } 

        .input-group {
            display: flex;
            flex-wrap: wrap;
            gap: 15px;
            margin-bottom: 20px;
        }
        
        #visitorContainer {
    display: block; /* Makes sure all visitors are stacked vertically */
}

        input[type="text"],
        input[type="email"],
        input[type="date"],
        textarea {
            flex: 1;
            min-width: 290px;
            padding: 14px;
            border: 2px solid #ddd;
            border-radius: 8px;
            font-size: 16px;
            background-color: #f9f9f9;
            transition: border-color 0.3s, box-shadow 0.3s;
            
            
            readonly {
                background-color: #e9ecef; /* Light grey for readonly fields */
            }
        }

        input[readonly]:focus,
        textarea[readonly]:focus {
            border-color: #ccc;
            box-shadow: none;
        }

        .visitor-details {
            margin: 20px 0;
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 8px;
            background-color: #f7f7f7;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        .visitor-details h4 {
            margin: 0 0 10px 0;
            font-size: 20px;
            color: #333;
        }

        .submit-button {
            width: 100%;
            padding: 14px;
            background-color: #c62828;
            color: white;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 18px;
            transition: background-color 0.3s, transform 0.3s;
        }

        .submit-button:hover {
            background-color: #a52b2b;
            transform: translateY(-2px);
        }

        .button-container {
            display: flex;
            justify-content: space-between;
            margin-top: 20px;
        }
        
        
    </style>
</head>
<body>
    <div class="form-container">
        <div class="form-title">Visitor Registration Details</div>

        <div class="input-group">
            <div>
                <label class="custom-label">General Email</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['General_Email']); ?>" readonly>
            </div>
            <div>
                <label class="custom-label">Visitor Type</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Visitor_Type']); ?>" readonly>
            </div>
            <div>
                <label class="custom-label">Department</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Department']); ?>" readonly>
            </div>
        </div>

        <div class="input-group">
            <div>
                <label class="custom-label">Purpose</label>
                <textarea class="styled-textarea" readonly><?php echo htmlspecialchars($visitor['Purpose']); ?></textarea>
            </div>
        </div>

        <div class="input-group">
            <div>
                <label class="custom-label">Host/Interviewer</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Host']); ?>" readonly>
            </div>
            <div>
                <label class="custom-label">Location</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Meeting_Room']); ?>" readonly>
            </div>
            <div>
                <label class="custom-label">Approver</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Approver']); ?>" readonly>
            </div>
        </div>

        <div class="input-group">
            <div>
                <label class="custom-label">Plan Date & Time In</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Plan_Date_Time_In']); ?>" readonly>
            </div>
            <div>
                <label class="custom-label">Plan Date & Time Out</label>
                <input type="text" class="readonly-input" value="<?php echo htmlspecialchars($visitor['Plan_Date_Time_Out']); ?>" readonly>
            </div>
        </div>

        <div id="visitorContainer">
            <h3 style="text-align: left; text-decoration: underline;">Visitor Details</h3>
            <?php foreach ($visitorDetails as $index => $detail): ?>
            <div style="display: flex; gap: 10px; margin-bottom: 10px;">
                <div class="visitor-details" id="visitor<?php echo $index; ?>">
                    <h4>Visitor <?php echo $index + 1; ?></h4>
                    <div class="input-group">
                        <div>
                            <label class="custom-label" for="name<?php echo $index; ?>">Name</label>
                            <input type="text" name="name[]" id="name<?php echo $index; ?>" value="<?php echo htmlspecialchars($detail['Name']); ?>" required readonly>
                        </div>
                        <div>
                            <label class="custom-label" for="email<?php echo $index; ?>">Email</label>
                            <input type="email" name="email[]" id="email<?php echo $index; ?>" value="<?php echo htmlspecialchars($detail['Email']); ?>" required readonly>
                        </div>
                        <div>
                            <label class="custom-label" for="phone<?php echo $index; ?>">Phone No</label>
                            <input type="text" name="phone[]" id="phone<?php echo $index; ?>" value="<?php echo htmlspecialchars($detail['Phone']); ?>" required readonly>
                        </div>
                    </div>
                    
                 <div class="input-group">
                <div>
                    <label class="custom-label" for="ic<?php echo $index; ?>">IC</label>
                    <input type="text" name="ic[]" id="ic<?php echo $index; ?>" value="<?php echo htmlspecialchars($detail['ic']); ?>" required readonly>
                </div>
                <div>
                    <label class="custom-label" for="vehicle_reg_no<?php echo $index; ?>">Vehicle Reg No</label>
                    <input type="text" name="vehicle_reg_no[]" id="vehicle_reg_no<?php echo $index; ?>" value="<?php echo htmlspecialchars($detail['vehicle_reg_no']); ?>" required readonly>
                </div>
                <div>
                    <label class="custom-label" for="created_date<?php echo $index; ?>">Created Date</label>
                    <!-- Set the input type to 'text' for consistency with the other inputs -->
                    <input type="text" name="created_date[]" id="created_date<?php echo $index; ?>" value="<?php echo htmlspecialchars($currentDate); ?>" required readonly>
                </div>
            </div>

            </div>
            <?php endforeach; ?>
        </div>

        <div class="button-container">
            <button onclick="window.location.href='admin_pending_approval_0.php';" class="submit-button">Back</button>
        </div>
    </div>
</body>
</html>
