<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Insert Inquiry Details</title>
    <link rel="stylesheet" href="../css/custom.css">
    <style>
        body {
            background-repeat: no-repeat;
            background-size: cover;
            background-attachment: fixed;
            margin: 0;
            font-family: Arial, sans-serif;
        }

        .inquiry_main {
            text-align: center;
            margin-top: 50px;
        }

        .inquiry_main span {
            color: white;
            font-size: 48px;
            font-family: sans-serif;
        }

        .form_container {
            width: 50%;
            margin: auto;
            background-color: rgba(0, 0, 0, 0.5);
            padding: 20px;
            border-radius: 15px;
        }

        input[type="text"], input[type="email"], input[type="file"], input[type="time"], input[type="date"], select {
            width: 80%;
            height: 40px;
            border-radius: 8px;
            border: none;
            margin: 10px 0;
            padding: 8px;
            background-color: antiquewhite;
        }

        input[type="radio"] {
            margin-left: 20px;
        }

        label {
            color: white;
            font-size: 20px;
        }

        .submit_btn input[type="submit"] {
            width: 40%;
            height: 40px;
            border-radius: 8px;
            border: none;
            background-color: antiquewhite;
            cursor: pointer;
            font-size: 16px;
        }

        .submit_btn input[type="submit"]:hover {
            background-color: #f1c40f;
        }
    </style>

    <script>
        function phoneno() {
            document.getElementById('phone').addEventListener('keypress', function (e) {
                var key = e.which || e.keyCode;
                if (key < 48 || key > 57) {
                    e.preventDefault();
                }
            });
        }

        function onlyAlphabets(evt) {
            var charCode = evt.keyCode || evt.which;
            if (charCode === 32 || (charCode >= 65 && charCode <= 90) || (charCode >= 97 && charCode <= 122)) {
                return true;
            }
            return false;
        }
    </script>
</head>
<body>

<form action="vis_insert_1.php" method="post" enctype="multipart/form-data">
    <div class="inquiry_main">
        <span>Inquiry Details</span>
        <div class="form_container">
            <!-- Name -->
            <input type="text" name="name" placeholder="Enter your Name" onkeypress="return onlyAlphabets(event);" required><br>

            <!-- Gender -->
            <label>Gender: </label>
            <input type="radio" name="gender" value="Male" required><label>Male</label>
            <input type="radio" name="gender" value="Female" required><label>Female</label><br>

            <!-- Phone -->
            <input id="phone" type="text" name="phone" placeholder="Phone No" pattern="\d{10}" title="Please enter exactly 10 digits" maxlength="10" onkeypress="phoneno()" required><br>

            <!-- Image Upload -->
            <label for="image">Upload Image: </label>
            <input type="file" name="image" id="image" required><br>

            <!-- Person to Meet -->
            <input type="text" name="person_meet" placeholder="Person to Meet" required><br>

            <!-- In Time -->
            <label for="in_time">In Time: </label>
            <input type="time" name="in_time" required><br>

            <!-- Out Time -->
            <label for="out_time">Out Time: </label>
            <input type="time" name="out_time"><br>

            <!-- Date -->
            <label for="date">Date: </label>
            <input type="date" name="date" required><br>

            <!-- Department -->
            <select name="department" required>
                <?php
                include('dbconn.php');
                $sql = "SELECT * FROM department";
                $query = mysqli_query($db, $sql);
                while ($fetch = mysqli_fetch_array($query)) {
                    echo "<option value='{$fetch['department_name']}'>{$fetch['department_name']}</option>";
                }
                ?>
            </select><br>

            <!-- Submit Button -->
            <div class="submit_btn">
                <input type="submit" value="Submit">
            </div>
        </div>
    </div>
</form>

</body>
</html>
