<?php

include('dbconn.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "<script>alert('Please log in to view this page.'); window.location.href='index.html';</script>";
    exit();
}

// Get the logged-in user's ID from the session
$user_id = $_SESSION['user_id'];

// Fetch inquiries created by the logged-in user
$sql = "SELECT * FROM inquery WHERE user_id = ?";
$stmt = $db->prepare($sql);

if (!$stmt) {
    die("Prepare failed: " . $db->error);
}

$stmt->bind_param("i", $user_id); // Bind the user ID
$stmt->execute();
$result = $stmt->get_result();

// Check for errors in fetching results
if ($result === false) {
    die("Execute failed: " . $stmt->error);
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Your Inquiry History</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            color: #333;
            padding: 20px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
            background-color: #fff;
        }
        th, td {
            padding: 12px;
            text-align: left;
            border: 1px solid #ddd;
        }
        th {
            background-color: #f2f2f2;
        }
        .no-inquiries {
            color: red;
        }
    </style>
</head>
<body>

    <h1>Your Inquiry History</h1>

    <table>
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Email</th>
            <th>Status</th>
            <th>Created At</th>
        </tr>

        <?php if ($result->num_rows > 0): ?>
            <?php while ($fetch = $result->fetch_assoc()): ?>
                <tr>
                    <td><?php echo htmlspecialchars($fetch['Id']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Name']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['Email']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['status']); ?></td>
                    <td><?php echo htmlspecialchars($fetch['created_at']); ?></td>
                </tr>
            <?php endwhile; ?>
        <?php else: ?>
            <tr>
                <td colspan="5" class="no-inquiries">No inquiries found for this user.</td>
            </tr>
        <?php endif; ?>
    </table>

</body>
</html>
