<?php
include('dbconn.php');

// Handle actions from the dropdown
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['action'])) {
    $id = $_POST['id'];
    $action = $_POST['action'];

    if ($action === 'toggle') {
        // Fetch the current status from the database
        $result = mysqli_query($db, "SELECT status FROM visitor_types WHERE id='$id'");
        $visitor_type = mysqli_fetch_assoc($result);
        
        if ($visitor_type) {
            $current_status = $visitor_type['status'];
            // Toggle the status
            $new_status = ($current_status === 'active') ? 'inactive' : 'active';

            // Update the database
            $sql = "UPDATE visitor_types SET status='$new_status', updated_at=NOW(), updated_by='admin' WHERE id='$id'";
            mysqli_query($db, $sql);
        }
    } elseif ($action === 'edit') {
        // Redirect to the edit page
        header("Location: edit_visitor_type.php?id=$id");
        exit();
    }
}

// Fetch all visitor types
$sql = "SELECT * FROM visitor_types";
$query = mysqli_query($db, $sql);
$visitor_types = mysqli_fetch_all($query, MYSQLI_ASSOC);
?>

<!DOCTYPE html>
<html>
<head>
    <title>Visitor Types Management</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        /* Table and other styles remain the same as before */
        
        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
            border: 2px solid grey; /* Add grey border */
            margin-left:10%;
        }

        td, th {
            text-align: center;
            padding: 10px;
            font-size: 11px;
            border: 1px solid #ddd;
        }

        th {
            background-color: #f2f2f2;
            color: #333;
            font-weight: bold;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
             color: #333;
        }
        
          tr:nth-child(odd) {
            background-color: #fff;
             color: #333;
        }


        tr:hover {
            background-color: #f1f1f1;
        }
        
        /* Sort icon styles */
        .sort-icon {
            display: inline-block;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            margin-left: 5px;
            vertical-align: middle;
        }
        
        /* Upward arrow (ascending) */
        .sort-icon.asc {
            border-bottom: 6px solid #4CAF50;  /* Green up arrow */
        }
        
        /* Downward arrow (descending) */
        .sort-icon.desc {
            border-top: 6px solid #4CAF50;  /* Green down arrow */
        }

        
         /* Search Bar and Column Toggle Container */
        .search-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
            margin-left:10%;
        }

        #globalSearch {
            padding: 8px;
            width: 72%;
            margin-right: 10px;
            border: 1px solid #333;
            border-radius: 5px;
            font-size: 14px;
        }
        
         #globalSearch:focus {
            border-color: #0056b3;
        }

        button {
            margin-top: 20px;
            padding: 10px 15px;
            background-color: skyblue;
            color: white;
            border: none;
            cursor: pointer;
            position: relative;
            z-index: 10;
        }
        .filter-container {
            margin: 20px;
        }
        .dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 40px;
            margin-right: 11%;
        }
      .dropdown button {
            padding: 8px 16px;
            background-color:#0066cc;
            color: white;
            border: none;
            cursor: pointer;
            font-size: 14px;
            text-align: center;
            width: 150px;
        }

        /* Dropdown content (hidden by default) */
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
            border-radius: 4px;
        }

        .dropdown-content label {
            display: flex;
            align-items: center;
            padding: 8px 16px;
            cursor: pointer;
        }

        /* Checkbox styling */
        .dropdown-content input[type="checkbox"] {
            margin-right: 8px;
            accent-color: #4CAF50;
        }

        /* Hover effect on dropdown items */
        .dropdown-content label:hover {
            background-color: #ddd;
        }
        .show {
            display: block;
        }
        input[type="text"] {
            padding: 10px;
            width: 300px;
            margin-bottom: 20px;
            border: 2px solid #333;
            border-radius: 5px;
            font-size: 16px;
            background-color: #fff;
            color: #333;
        }
        #printButton, #createButton {
            padding: 10px 20px;
            font-size: 14px;
            border: none;
            background-color: #0066cc;
            color: white;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
        }
        #printButton:hover, #createButton:hover {
            background-color: #444;
        }
        
        /* Table and other styles remain the same as before */

        @media print {
            body * {
                visibility: hidden;
            }
        
            table, table * {
                visibility: visible;
            }
        
            table {
                position: absolute;
                left: 0;
                top: 0;
                margin-left: -0px; /* Adjust this value to move the table more to the left */
                width: 95%; /* You can adjust this width if needed */
            }
        
            .action-column {
                display: none; /* Hide the Action column during printing */
            }
        }


        
        .table-container {
            max-width: 100%;
            overflow-y: hidden;
            overflow-x: auto;
            margin: 0 auto; 
            border-radius: 5px; 
            background-color: rgba(255, 255, 255, 0.1);
        }
        table {
            width: 80%;
            border-collapse: collapse; 
        }
        th, td {
            padding: 8px; 
            text-align: left; 
            white-space: nowrap; 
        }
        select {
        padding: 10px;
        font-size: 12px;
        border: 2px solid #333;
        border-radius: 5px;
        background-color: #fff;
        color: #333;
        cursor: pointer;
        width: 100px; /* Set a fixed width for all dropdowns */
        }

        select option {
            padding: 10px;
            background-color: #fff;
            color: #333;
        }

        .select-container {
            display: flex;
            justify-content: center;
            gap: 10px; /* Space between dropdowns */
        }


        select:hover {
            border-color: #0066cc;
        }

        select:focus {
            outline: none;
            border-color: #0066cc;
        }

    </style>
</head>
<body>
    <h2>Visitor Type</h2>

    <div class="search-container">
        <input type="text" id="globalSearch" placeholder="Search in table..." onkeyup="filterTable()">
        <div class="dropdown">
            <button onclick="toggleDropdown()">Toggle Columns</button>
            <div id="myDropdown" class="dropdown-content">
                <label><input type="checkbox" checked onchange="toggleColumn(0)"> ID</label>
                <label><input type="checkbox" checked onchange="toggleColumn(1)"> Type Name</label>
                <label><input type="checkbox" checked onchange="toggleColumn(2)"> Status</label>
                <label><input type="checkbox" checked onchange="toggleColumn(3)"> Created Date</label>
                <label><input type="checkbox" checked onchange="toggleColumn(4)"> Created By</label>
                <label><input type="checkbox" checked onchange="toggleColumn(5)"> Updated Date</label>
                <label><input type="checkbox" checked onchange="toggleColumn(6)"> Updated By</label>
                <label><input type="checkbox" checked onchange="toggleColumn(7)"> Action</label>
            </div>
        </div>
    </div>

    <table id="inquiryTable">
        <thead>
            <tr>
                <th onclick="sortTable(0)">No. <span id="sort-icon-0" class="sort-icon"></span></th>
                <th onclick="sortTable(1)">Type Name <span id="sort-icon-1" class="sort-icon"></span></th>
                <th onclick="sortTable(2)">Status <span id="sort-icon-2" class="sort-icon"></span></th>
                <th onclick="sortTable(3)">Created Date <span id="sort-icon-3" class="sort-icon"></span></th>
                <th onclick="sortTable(4)">Created By <span id="sort-icon-4" class="sort-icon"></span></th>
                <th onclick="sortTable(5)">Updated Date <span id="sort-icon-5" class="sort-icon"></span></th>
                <th onclick="sortTable(6)">Updated By <span id="sort-icon-6" class="sort-icon"></span></th>

            </tr>
        </thead>
        <tbody>
            <?php
            $counter = 1; // Initialize a counter
            foreach ($visitor_types as $visitor_type): ?>
            <tr>
                <td><?php echo $counter++; ?></td>
                <td><?php echo htmlspecialchars($visitor_type['type_name']); ?></td>
                <td>
                    <?php if ($visitor_type['status'] === 'active'): ?>
                        <i class="fas fa-check-circle" style="color: green;"></i>
                        <span>Active</span>
                    <?php else: ?>
                        <i class="fas fa-times-circle" style="color: red;"></i>
                        <span>Inactive</span>
                    <?php endif; ?>
                </td>
                <td><?php echo htmlspecialchars($visitor_type['created_at']); ?></td>
                <td><?php echo htmlspecialchars($visitor_type['created_by']); ?></td>
                <td><?php echo htmlspecialchars($visitor_type['updated_at']); ?></td>
                <td><?php echo htmlspecialchars($visitor_type['updated_by']); ?></td>
                <td class="action-column print-hide">
                    <select id="actionDropdown<?php echo $visitor_type['id']; ?>" onchange="performAction(<?php echo $visitor_type['id']; ?>, this)">
                        <option value="" disabled selected>Action</option>
                        <option value="toggle"><?php echo $visitor_type['status'] === 'active' ? 'Deactivate' : 'Activate'; ?></option>
                    </select>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <form action="">
        <button type="button" id="createButton" onclick="addVisitorType()">Add</button>
        <button type="button" id="printButton" onclick="print12()">Print</button>
    </form>

    <script type="text/javascript">
        let sortDirection = { 0: 'asc', 1: 'asc', 2: 'asc', 3: 'asc', 4: 'asc', 5: 'asc', 6: 'asc' };
        
        function sortTable(columnIndex) {
            const table = document.getElementById("inquiryTable");
            const rows = Array.from(table.getElementsByTagName("tr")).slice(1); // Get all rows except the header row
            const arrow = document.getElementById(`sort-icon-${columnIndex}`);
            const direction = sortDirection[columnIndex];
        
            rows.sort((rowA, rowB) => {
                const cellA = rowA.cells[columnIndex].innerText.toLowerCase();
                const cellB = rowB.cells[columnIndex].innerText.toLowerCase();
        
                if (direction === 'asc') {
                    return cellA > cellB ? 1 : cellA < cellB ? -1 : 0;
                } else {
                    return cellA < cellB ? 1 : cellA > cellB ? -1 : 0;
                }
            });
        
            // Reattach rows in sorted order
            rows.forEach(row => table.appendChild(row));
        
            // Toggle sort direction and update the arrow
            sortDirection[columnIndex] = direction === 'asc' ? 'desc' : 'asc';
            updateSortIcons(columnIndex);  // Update the sort icon after sorting
        }
        
        function updateSortIcons(columnIndex) {
            const icons = document.querySelectorAll('.sort-icon');
            icons.forEach(icon => {
                icon.classList.remove('asc', 'desc');  // Remove the arrow classes
            });
        
            const icon = document.getElementById(`sort-icon-${columnIndex}`);
            const direction = sortDirection[columnIndex];
        
            icon.classList.add(direction);  // Add the appropriate arrow class
        }


        function performAction(id, selectElement) {
            const action = selectElement.value;

            if (action) {
                const formData = new FormData();
                formData.append('id', id);
                formData.append('action', action);

                fetch('', {
                    method: 'POST',
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    location.reload();
                })
                .catch(error => console.error('Error:', error));
            }
        }

        function addVisitorType() {
            window.location.href = "add_visitor_type.php";
        }

        function print12() {
        // Hide all non-table elements before printing
        const nonTableElements = document.querySelectorAll('body *:not(#inquiryTable):not(#inquiryTable *)');
        nonTableElements.forEach(element => {
            element.style.visibility = 'hidden';
        });
    
        // Trigger the print dialog
        window.print();
    
        // Restore visibility of the hidden elements after printing
        setTimeout(() => {
            nonTableElements.forEach(element => {
                element.style.visibility = '';
            });
        }, 500); // Restore after print dialog is triggered
    }


        function filterTable() {
            const input = document.getElementById("globalSearch");
            const filter = input.value.toLowerCase();
            const table = document.getElementById("inquiryTable");
            const rows = table.getElementsByTagName("tr");

            for (let i = 1; i < rows.length; i++) {
                const cells = rows[i].getElementsByTagName("td");
                let found = false;

                for (let j = 0; j < cells.length; j++) {
                    const txtValue = cells[j].textContent || cells[j].innerText;
                    if (txtValue.toLowerCase().indexOf(filter) > -1) {
                        found = true;
                        break;
                    }
                }

                rows[i].style.display = found ? "" : "none";
            }
        }

        function toggleColumn(columnIndex) {
            const table = document.getElementById("inquiryTable");
            const rows = table.rows;

            for (let i = 0; i < rows.length; i++) {
                const cell = rows[i].cells[columnIndex];
                if (cell) {
                    cell.style.display = (cell.style.display === "none") ? "" : "none";
                }
            }
        }

        function toggleDropdown() {
            document.getElementById("myDropdown").classList.toggle("show");
        }

        window.onclick = function(event) {
            if (!event.target.matches('.dropdown button')) {
                const dropdowns = document.getElementsByClassName("dropdown-content");
                for (let i = 0; i < dropdowns.length; i++) {
                    const openDropdown = dropdowns[i];
                    if (openDropdown.classList.contains('show')) {
                        openDropdown.classList.remove('show');
                    }
                }
            }
        }
    </script>
</body>
</html>
