<?php
session_start(); // Start the session

// Check if the user is logged in
if (!isset($_SESSION['user'])) {
    header('Location: login_1.php');
    exit;
}

include('php/dbconn.php');

// Fetch the approver's Id from the session
$approverId = $_SESSION['user_id']; // Assuming you store the approver's Id in the session

// Query to get the number of pending arrival requests from both visitor_details and walkin_visitors tables
$sql_pending_arrival = "
    SELECT COUNT(*) 
    FROM (
        SELECT 1 FROM visitor_details WHERE Status = 'pending' AND Leave_Time IS NULL
        UNION ALL
        SELECT 1 FROM walkin_visitors WHERE Status = 'pending' AND Leave_Time IS NULL
    ) AS pending_arrival_visitors";
$query_pending_arrival = mysqli_query($db, $sql_pending_arrival);
$pendingArrivalCount = mysqli_fetch_array($query_pending_arrival)[0];

// Query to get the number of pending approval requests (only from visitors table)
$sql_pending_approval = "SELECT COUNT(*) FROM visitors WHERE Status = 'pending'"; 
$query_pending_approval = mysqli_query($db, $sql_pending_approval);
$pendingApprovalCount = mysqli_fetch_array($query_pending_approval)[0];



?>
<?php

// Assuming the user role is stored in the session
// Example: $_SESSION['role'] = 'Admin', 'Approver', 'Guard'
$userRole = isset($_SESSION['role']) ? $_SESSION['role'] : 'guest'; // Default to 'guest' if no role found

// Determine the correct URL based on the role
if ($userRole == 'Admin') {
    $homeLink = '/vms/admin_dashboard.php';  // Redirect to admin dashboard
} elseif ($userRole == 'Approver') {
    $homeLink = '/vms/index_1.php';  // Redirect to approver dashboard
} elseif ($userRole == 'Guard') {
    $homeLink = '/vms/guard_dashboard.php';  // Redirect to guard dashboard
} else {
    $homeLink = '/vms/index_1.php';  // Default home page for guests or other roles
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>VMS</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/loader-style.css">
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="css/custom.css">
    <link rel="stylesheet" type="text/css" href="assets/js/progress-bar/number-pb.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style type="text/css">
        canvas#canvas4 {
            position: relative;
            top: 20px;
        }
 
        body {
            text-align: center;
            background-size: cover;
            background-repeat: no-repeat;
            font-family: 'Poppins', sans-serif;
            color: white;
            background-image: url(assets/img/bgredbrown.png);
        }

        .bevel.tlbr {
            margin: 0px;
            background: #f0f3f4;
        }

        .card {
            margin: 23px;
            padding: 20px;
            border-radius: 8px;
            background-color: rgba(0, 0, 0, 0.7); /* Dark background with transparency */
            height: 200px;               /* Set a fixed height for all cards */
            width: 70%; 
        }

        .card .value {
            color: #ffcc00;
            font-size: 30px;
            font-weight: bold;
        }

        .card .icon {
            font-size: 30px;
            color: white;
        }
        
         .card .headline {
            font-size: 18px;
            color: #fff;
        }


    </style>

    <link rel="shortcut icon" href="assets/ico/minus.png">
</head>

<body>
        <!-- Navbar -->
        <?php include('topbar.php'); ?>
    <!-- /END OF TOP NAVBAR -->

    <!-- SIDE MENU -->
    <?php include('sidebar_1.php'); ?>

    <!-- SIDE MENU -->


   


    <!-- END OF SIDE MENU -->

   <!-- PAPER WRAP -->
    <div class="wrap-fluid">
        <div class="container-fluid paper-wrap bevel tlbr">
            <div class="content-wrap">
            <div class="row">
    <div class="col-sm-6">
        <div class="card">
            <div class="headline">
                <h3>
                    <span><i class="fas fa-clock"></i> Request Pending Approval</span>
                </h3>
            </div>
            <div class="value">
                <span><?php echo $pendingApprovalCount; ?></span>
            </div>
            <div class="progress-tinny">
                <div style="width: 50%" class="bar"></div>
            </div>
        </div>
    </div>

    <div class="col-sm-6">
        <div class="card">
            <div class="headline">
                <h3>
                    <span><i class="fas fa-clock"></i> Awaiting Arrival</span>
                </h3>
            </div>
            <div class="value">
                <span><?php echo $pendingArrivalCount; ?></span>
            </div>
            <div class="progress-tinny">
                <div style="width: 50%" class="bar"></div>
            </div>
        </div>
    </div>
</div>


            </div>
        </div>
    </div>
    <!-- /END OF CONTENT -->

    <!-- FOOTER -->
    <div class="footer-space"></div>
    <div id="footer">
        <div class="devider-footer-left"></div>
        <div class="time">
            <p id="spanDate"></p>
            <p id="clock"></p>
        </div>
        <div class="copyright">Made with Love <span class="entypo-heart"></span> 2014 <a href="https://gamatechno.com">Thesmile</a> All Rights Reserved</div>
        <div class="devider-footer"></div>
    </div>
    <!-- / END OF FOOTER -->

    <!-- Scripts -->
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.js"></script>
    <script src="assets/js/progress-bar/src/jquery.velocity.min.js"></script>
    <script src="assets/js/progress-bar/number-pb.js"></script>
    <script src="assets/js/progress-bar/progress-app.js"></script>
    <script type="text/javascript" src="assets/js/preloader.js"></script>
    <script src="assets/js/bootstrap.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="assets/js/load.js"></script>
    <script src="assets/js/main.js"></script>
    
</body>

</html> 