<?php
include('dbconn.php');

// Fetch visitor details from the database
$sql = "SELECT * FROM visitor_details"; // Adjust based on your requirements
$query = mysqli_query($db, $sql);

if (!$query) {
    die("Query failed: " . mysqli_error($db));
}

// Handle arrival or departure
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action'], $_POST['visitor_id'])) {
    $action = $_POST['action'];
    $visitorId = intval($_POST['visitor_id']);

    if ($action === 'arrive') {
        $updateSql = "UPDATE visitor_details SET status = 'Arrived' WHERE ID = $visitorId";
    } elseif ($action === 'leave') {
        $updateSql = "UPDATE visitor_details SET status = 'Left' WHERE ID = $visitorId";
    }

    if (mysqli_query($db, $updateSql)) {
        echo "<script>alert('Visitor status updated successfully.'); window.location.reload();</script>";
    } else {
        echo "<script>alert('Error updating status: " . mysqli_error($db) . "');</script>";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Scan QR - Visitor Details</title>
    <style>
       body {
            font-family: 'Poppins', sans-serif;
            background-color: #f7f7f7;
            margin: 0;
            padding: 20px;
        }

        .form-container {
            max-width: 900px;
            background-color: white;
            padding: 25px;
            border-radius: 12px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            margin: auto;
        }

        .form-title {
            background-color: lightgrey;
            color: black;
            padding: 15px;
            text-align: center;
            font-size: 26px;
            font-weight: bold;
            border-radius: 12px;
            margin-bottom: 20px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #cf0000;
        }
        .action-btn {
            padding: 8px 12px;
            color: white;
            border: none;
            border-radius: 6px;
            cursor: pointer;
            transition: background-color 0.3s;
        }
        .arrive-btn {
            background-color: #28a745; /* Green for arrive */
        }
        .leave-btn {
            background-color: #dc3545; /* Red for leave */
        }
        .action-btn:hover {
            opacity: 0.8;
        }
    </style>
</head>
<body>
    <div class="form-container">
        <div class="form-title">Visitor Details</div>

        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <?php while ($row = mysqli_fetch_assoc($query)): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['ID']); ?></td>
                        <td><?php echo htmlspecialchars($row['Name']); ?></td>
                        <td><?php echo htmlspecialchars($row['Email']); ?></td>
                        <td><?php echo htmlspecialchars($row['Phone']); ?></td>
                        <td><?php echo htmlspecialchars($row['status'] ?? 'N/A'); ?></td>
                        <td>
                            <form method="POST" style="display:inline;">
                                <input type="hidden" name="visitor_id" value="<?php echo htmlspecialchars($row['ID']); ?>">
                                <button type="submit" name="action" value="arrive" class="action-btn arrive-btn">Arrive</button>
                            </form>
                            <form method="POST" style="display:inline;">
                                <input type="hidden" name="visitor_id" value="<?php echo htmlspecialchars($row['ID']); ?>">
                                <button type="submit" name="action" value="leave" class="action-btn leave-btn">Leave</button>
                            </form>
                        </td>
                    </tr>
                <?php endwhile; ?>
            </tbody>
        </table>
    </div>
</body>
</html>
