<?php
include('php/dbconn.php');

// Query to display count for notifications in approval
$sql = "SELECT count(*) FROM inquery";
$query = mysqli_query($db, $sql);
$fetch = mysqli_fetch_array($query);

// Assuming the user role is stored in the session
$userRole = isset($_SESSION['role']) ? $_SESSION['role'] : 'guest'; // Default to 'guest' if no role found

// Determine the correct URL based on the role
switch ($userRole) {
    case 'Admin':
        $homeLink = '/vms/admin_dashboard.php';  // Redirect to admin dashboard
        break;
    case 'Approver':
        $homeLink = '/vms/index_1.php';  // Redirect to approver dashboard
        break;
    case 'Guard':
        $homeLink = '/vms/guard_dashboard.php';  // Redirect to guard dashboard
        break;
    case 'Requestor':
        $homeLink = '/vms/requestor_dashboard.php';
        break;
    default:
        $homeLink = '/vms/index_1.php';  // Default home page for guests or other roles
        break;
}
?>

<style>
    .topnav.menu-left-nest {
       
        transform: translateY(-25px); /* Move the element up by 10px */
    }
</style>



<div id="skin-select">
    <div id="logo" style="padding: 10px;">
        <a href="<?php echo $homeLink; ?>" style="text-decoration: none; color: inherit;">
            <img src="/vms/images/logo.jpeg" alt="Logo" style="height: 70px; display: block; margin: 11px auto 0;">
            <!--<h1 style="font-size: 20px; font-family: 'Arial', sans-serif; text-align: center; margin-top: 20px; color: #333; line-height: 1.5;">Visitor Management System</h1>-->
        </a>
    </div>

    <a id="toggle">
        <span class="entypo-menu"></span>
    </a>

    <div class="skin-part">
        <div id="tree-wrap">
            <div class="side-bar">
                <ul class="topnav menu-left-nest">
                    <!-- Home Link -->
                    <li>
                        <a class="tooltip-tip ajax-load" href="<?php echo $homeLink; ?>" title="Home">
                            <i class="icon-feed" style="color:white;"></i>
                            <span style="color: white;">Home</span>
                        </a>
                    </li>

                    <!-- Visitor Section (Visible to all roles except Guards) -->
                    <li class="visitor-section">
                       
                            <a class="tooltip-tip ajax-load" href="#" title="Visitor">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Open Registration</span>
                            </a>
                            
                            <ul>
                                <?php if ($userRole === 'Admin' || $userRole === 'Approver' || $userRole === 'Requestor') { ?>
                                    <li>
                                        <a class="tooltip-tip2 ajax-load" href="/vms/php/admin_createpass_0.php" title="Pre-registration">
                                            <i class="entypo-doc-text" style="color:white;"></i>
                                            <span style="color: white;">Pre-Registration</span>
                                        </a>
                                    </li>
                                <?php } ?>
                    
                                <?php if ($userRole === 'Guard' || $userRole === 'Admin') { ?>
                                    <li>
                                        <a class="tooltip-tip2 ajax-load" href="/vms/php/walk-in_user_0.php" title="Walk-ins">
                                            <i class="entypo-doc-text" style="color:white;"></i>
                                            <span style="color: white;">Walk-ins</span>
                                        </a>
                                    </li>
                                <?php } ?>
                            </ul>
                    </li>
                    
                    <!-- View Submitted Registration Form (Only visible to Admin and Guard) -->
                    <?php if ($userRole === 'Admin' || $userRole === 'Guard') { ?>
                        <li>
                            <a class="tooltip-tip ajax-load" href="#" title="History">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">History</span>
                            </a>
                            <ul>
                                <!-- Pre-Registration: Only visible to Admin -->
                                <?php if ($userRole === 'Admin') { ?>
                                    <li>
                                        <a class="tooltip-tip2 ajax-load" href="/vms/php/history_pre-registration_0.php" title="History Pre-registration">
                                            <i class="entypo-doc-text" style="color:white;"></i>
                                            <span style="color: white;">Pre-Registration</span>
                                        </a>
                                    </li>
                                <?php } ?>
                    
                                <!-- Walk-ins: Visible to both Admin and Guard -->
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/history_walkins_0.php" title="History Walk-ins">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">Walk-ins</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    <?php } ?>
                    
                            <!-- View section only visible to roles other than Requestor -->
                            <?php if ($userRole !== 'Guard'){ ?>
                                <li class="visitor-section-view">
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/vis_display_0.php" title="My Request">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">My Request</span>
                                    </a>
                                </li>
                            <?php } ?>

              <!-- Scan QR section visible to Guards and Admins -->
                <?php if ($userRole === 'Guard' || $userRole === 'Admin') { ?>
                <li>
                    <a class="tooltip-tip2 ajax-load" href="/vms/php/scan_qr_detail_0.php" title="Scan QR">
                        <i class="icon-camera" style="color:white;"></i>
                        <span style="color: white;">Scan QR</span>
                    </a>
                </li>
                <?php } ?>




                    <!-- Department Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Admin') { ?>
                        <li class="department-section">
                            <a class="tooltip-tip ajax-load" href="#" title="Department">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Department</span>
                            </a>
                            <ul>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/department_0.php" title="Add">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">Add</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/department_display_0.php" title="View">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">View</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    <?php } ?>

                    <!-- Admin User Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Admin') { ?>
                        <li class="admin-user-section">
                            <a class="tooltip-tip ajax-load" href="#" title="Admin User">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">User Access</span>
                            </a>
                            <ul>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/admin_user_0.php" title="Add">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">Add</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/admin_display_0.php" title="View">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">View</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    <?php } ?>

                    <!-- Approval Section (Visible only to Admin and Approver) -->
                    <?php if ($userRole == 'Admin' || $userRole == 'Approver') { ?>
                        <li class="approval-section">
                            <a class="tooltip-tip ajax-load" href="#" title="Approval">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Approval</span>
                            </a>
                            <ul>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/admin_pending_approval_0.php" title="Pending Approval">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">Pending Approval</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="tooltip-tip2 ajax-load" href="/vms/php/request_arrival_0.php" title="Awaiting Arrival">
                                        <i class="entypo-doc-text" style="color:white;"></i>
                                        <span style="color: white;">Awaiting Arrival</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    <?php } ?>

                    <!-- Meeting Room Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Admin') { ?>
                        <li class="meeting-room-section">
                            <a class="tooltip-tip ajax-load" href="/vms/php/meeting_rooms_status_0.php" title="Location">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Location</span>
                            </a>
                        </li>
                    <?php } ?>

                    <!-- Visitor Type Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Admin') { ?>
                        <li class="visitor-type-section">
                            <a class="tooltip-tip ajax-load" href="/vms/php/visitor_type_status_0.php" title="Visitor Type">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Visitor Type</span>
                            </a>
                        </li>
                    <?php } ?>

                    <!-- Report Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Admin') { ?>
                        <li class="hide1">
                            <a class="tooltip-tip ajax-load" href="/vms/php/report_0.php" title="Report">
                                <i class="icon-camera" style="color:white;"></i>
                                <span style="color: white;">Report</span>
                            </a>
                        </li>
                    <?php } ?>
                    
                     <!-- Report Section (Visible only to Admin) -->
                    <?php if ($userRole == 'Guard') { ?>
                        <li class="hide1">
                            <a class="tooltip-tip ajax-load" href="/vms/php/request_arrival_0.php" title="Awaiting Arrival">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Awaiting Arrival</span>
                            </a>
                        </li>
                    <?php } ?>
                    
                    <?php if ($userRole === 'Guard' || $userRole === 'Admin') { ?>
                    <li class="access-card-section">
                            <a class="tooltip-tip ajax-load" href="#" title="Access Card">
                                <i class="icon-document-edit" style="color:white;"></i>
                                <span style="color: white;">Access Card</span>
                            </a>
                         <ul>
                    
                     <li>
                        <a class="tooltip-tip ajax-load" href="/vms/php/assign_access_card_0.php?log" title="Assign Card">
                            <i class="entypo-doc-text" style="color:white;"></i>
                            <span style="color: white;">Assign Card</span>
                        </a>
                    </li>
                    
                     <li>
                        <a class="tooltip-tip ajax-load" href="/vms/php/return_access_card_0.php?log" title="Return Card">
                            <i class="entypo-doc-text" style="color:white;"></i>
                            <span style="color: white;">Return Card</span>
                        </a>
                     </li>
                     
                      <li>
                        <a class="tooltip-tip ajax-load" href="/vms/php/status_access_card_0.php?log" title="Status Card">
                            <i class="entypo-doc-text" style="color:white;"></i>
                            <span style="color: white;">Status Card</span>
                        </a>
                     </li>
                         <ul>
                    </li>
                     <?php } ?>
                    
                </ul>

                <!-- JavaScript to handle role-based visibility -->
                <script type="text/javascript">
                    var userRole = "<?php echo $userRole; ?>";

                    // Show or hide sections based on user role
                    document.querySelector('.visitor-section-add').style.display = "block"; // Always show Add for all roles
                    document.querySelector('.visitor-section-view').style.display = (userRole === 'Requestor') ? "none" : "block"; // Hide View for Requestor

                    if (userRole === 'Admin') {
                        document.querySelector('.department-section').style.display = "block";
                        document.querySelector('.admin-user-section').style.display = "block";
                        document.querySelector('.approval-section').style.display = "block";
                        document.querySelector('.meeting-room-section').style.display = "block";
                        document.querySelector('.visitor-type-section').style.display = "block";
                        document.querySelector('.hide1').style.display = "block";
                    } else if (userRole === 'Approver') {
                        document.querySelector('.approval-section').style.display = "block";
                    } else if (userRole === 'Guard') {
                        document.querySelector('.department-section').style.display = "none";
                        document.querySelector('.admin-user-section').style.display = "none";
                        document.querySelector('.approval-section').style.display = "none";
                        document.querySelector('.meeting-room-section').style.display = "none";
                        document.querySelector('.visitor-type-section').style.display = "none";
                    } else if (userRole === 'Requestor') {
                        document.querySelector('.department-section').style.display = "none";
                        document.querySelector('.admin-user-section').style.display = "none";
                        document.querySelector('.approval-section').style.display = "none";
                        document.querySelector('.meeting-room-section').style.display = "none";
                        document.querySelector('.visitor-type-section').style.display = "none";
                    }
                </script>
            </div>
        </div>
    </div>
</div>
